<?php

namespace App\Http\Controllers\Api\V1\Auth\Customer;

use App\Http\Controllers\Controller;
use App\Http\Requests\Api\CustomerLoginRequest;
use App\Models\Customer;
use App\Models\CustomerPasswordReset;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Validator;

class CustomerLoginController extends Controller
{
    public function login(CustomerLoginRequest $request)
    {
        try {
            return authenticateAndRespond($request);
        } catch (\Exception $e) {
            Log::error($e);
            return responseJson(false, trans('api.something_wrong'));
        }
    }

    public function logout()
    {
        try {
            auth()->guard('customer_api')->logout();
            return responseJson(true, trans('api.logout_successfully'));
        } catch (\Exception $e) {
            Log::error($e);
            return responseJson(false, trans('api.something_wrong'));
        }
    }
}
