<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\Product;
use Illuminate\Http\Request;

class ProductController extends Controller
{
    public function index()
    {
        $products   =   Product::all();
        return view('backend.product.index', compact('products'));
    }
    public function pending()
    {
        $products   =   Product::where('status', 0)->get();
        return view('backend.product.pending', compact('products'));
    }
    public function accepted()
    {
        $products   =   Product::where('status', 1)->get();
        return view('backend.product.accepted', compact('products'));
    }
    public function refused()
    {
        $products   =   Product::where('status', 2)->get();
        return view('backend.product.refused', compact('products'));
    }

    public function updateStatus(Request $request, $id)
    {
        $product    =   Product::findorfail(decrypt($id));
        $product->status    =   $request->status;
        $product->update();
        toastr()->success(trans('custom.updated_successful'),trans('custom.success'));
        return redirect()->back();
    }
}
