<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class CustomerDataResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $lang = app()->getLocale();
        return [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'image' => $this->image ? asset(imagePath()['profile']['customer']['path'] . '/' . $this->image) : asset(imagePath()['profile']['default']),
            'mobile' => $this->mobile,
            'country' => $this->city->country->name,
            'city' => $this->city->name,
            'address' => $this->address,
            'gender' => $this->gender == 0 ? trans('api.male') : trans('api.female'),
        ];
    }
}
