<?php

namespace App\Http\Resources;

use App\Models\Category;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class VendorProductsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'kalax_id'              =>  $this->id,
            'kalax_name'            =>  $this->name,
            'kalax_front_image'     =>  $this->front_image ? asset('upload/product/' . $this->front_image) : '',
            'kalax_price'           =>  $this->price,
            'kalax_notes'           =>  $this->notes,
            'kalax_model'           =>  $this->model,
            'kalax_model_year'      =>  $this->model_year,
            'kalax_km'              =>  $this->km,
            'kalax_type'            =>  $this->type,
            'kalax_status'          =>  $this->status,
            'kalax_quantity'        =>  $this->quantity,
            'kalax_mover'           =>  $this->mover,
            'kalax_fuel'            =>  $this->fuel,
            'kalax_city_name'       =>  $this->city->name ?? '',
            'kalax_car_name'        =>  $this->car->name ?? '',
            'kalax_color_name'      =>  $this->color->name ?? '',
            'kalax_category_name'   =>  $this->category->name ?? '',
            'kalax_vendor_id'       =>  $this->vendor_id,
        ];
    }

}
