<?php

namespace App\Http\Services;

use GuzzleHttp\Client;
use GuzzleHttp\Psr7\Request;

class FatoorahServices
{
    private $base_url;
    private $headers;
    private $request_client;


    public function __construct(Client $request_client)
    {
        $this->request_client   =   $request_client;
        $this->base_url         =   env('fatoorah_base_url');
        $this->headers          =   [
            'Content-Type'      =>  'application/json',
            'authorization'     =>  'Bearer ' . env('fatoorah_token'),
        ];
    }

    public function buildRequest($uri, $method, $data = [])
    {
        $request    =   new Request($method, $this->base_url . $uri, $this->headers);

        $response   =   $this->request_client->send($request, [
            'json'  =>  $data,
        ]);
        $response   =   json_decode($response->getBody(), true);
        return $response;
    }

    public function sendPayment($data)
    {
        $response = $this->buildRequest('v2/sendPayment', 'POST', $data);

        return redirect($response['Data']['InvoiceURL']) ;
    }

    public function getPaymentStatus($data)
    {
        $response = $this->buildRequest('v2/getPaymentStatus', 'POST', $data);
        return $response;
    }
    public function getPaymentError($data)
    {
        $response = $this->buildRequest('v2/getPaymentStatus', 'POST', $data);
        return $response;
    }

}
