<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();
            $table->string('name', 50);
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('image')->nullable();
            $table->string('mobile');
            $table->foreignId('city_id')->nullable()->constrained('cities')->nullOnDelete();
            $table->text('address');
            $table->tinyInteger('status')->default(0)->comment('0 = Active | 1 = Inactive');
            $table->tinyInteger('gender')->default(0)->comment('0 = male | 1 = female');
            $table->string('referral_code')->nullable();
            $table->double('balance', 10, 2)->default(0);
            $table->string('fcm_token')->nullable();
            $table->unsignedInteger('referred_by')->nullable();
            $table->enum('login_by', ['android', 'ios'])->nullable();
            $table->ipAddress('last_known_ip')->nullable();
            $table->timestamp('last_login_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('customers');
    }
};
