<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->text('name');
            $table->string('front_image');
            $table->double('price');
            $table->text('notes');
            $table->string('model')->nullable();
            $table->integer('model_year')->nullable();
            $table->integer('km')->nullable();
            $table->tinyInteger('type')->nullable()->comment('0 = New | 1 = Used');
            $table->tinyInteger('status')->default(0)->comment('0 = Pending | 1 = Active');
            $table->integer('quantity');
            $table->tinyInteger('mover')->nullable()->comment('0 = Manual | 1 = Automatic');
            $table->tinyInteger('fuel')->nullable()->comment('0 = Benzine | 1 = Electronic | 2 = Natural Gaze | 3 = Mix');
            $table->foreignId('city_id')->nullable()->constrained('cities')->cascadeOnUpdate()->nullOnDelete();
            $table->foreignId('car_id')->nullable()->constrained('cars')->cascadeOnUpdate()->nullOnDelete();
            $table->foreignId('color_id')->nullable()->constrained('colors')->cascadeOnDelete()->cascadeOnUpdate();
            $table->foreignId('category_id')->constrained('categories')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('vendor_id')->constrained('vendors')->cascadeOnUpdate()->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
