<?php

namespace Database\Seeders;

use App\Models\Car;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CarSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $names  =   [
            ['en' => 'Toyota', 'ar' => 'تويوتا'],
            ['en' => 'Honda', 'ar' => 'هوندا'],
            ['en' => 'Nissan', 'ar' => 'نيسان'],
            ['en' => 'Ford', 'ar' => 'فورد'],
            ['en' => 'Chevrolet', 'ar' => 'شيفروليه'],
            ['en' => 'BMW', 'ar' => 'بي إم دبليو'],
            ['en' => 'Mercedes-Benz', 'ar' => 'مرسيدس بنز'],
            ['en' => 'Audi', 'ar' => 'أودي'],
            ['en' => 'Volkswagen', 'ar' => 'فولكس واجن'],
            ['en' => 'Kia', 'ar' => 'كيا'],
            ['en' => 'Hyundai', 'ar' => 'هيونداي'],
            ['en' => 'Lexus', 'ar' => 'لكزس'],
            ['en' => 'Subaru', 'ar' => 'سوبارو'],
            ['en' => 'Mazda', 'ar' => 'مازدا'],
            ['en' => 'Mitsubishi', 'ar' => 'ميتسوبيشي'],
            ['en' => 'GMC', 'ar' => 'جي إم سي'],
            ['en' => 'Cadillac', 'ar' => 'كاديلاك'],
            ['en' => 'Porsche', 'ar' => 'بورشه'],
            ['en' => 'Jaguar', 'ar' => 'جاكوار'],
            ['en' => 'Land Rover', 'ar' => 'لاند روفر'],
            ['en' => 'Fiat', 'ar' => 'فيات'],
            ['en' => 'Renault', 'ar' => 'رينو'],
            ['en' => 'Suzuki', 'ar' => 'سوزوكي'],
            ['en' => 'Peugeot', 'ar' => 'بيجو'],
            ['en' => 'Volvo', 'ar' => 'فولفو'],
            ['en' => 'Tesla', 'ar' => 'تسلا'],
            ['en' => 'Bentley', 'ar' => 'بينتلي'],
            ['en' => 'Acura', 'ar' => 'أكرا'],
            ['en' => 'MINI', 'ar' => 'ميني'],
            ['en' => 'Lincoln', 'ar' => 'لينكولن'],
            ['en' => 'Rolls-Royce', 'ar' => 'رولز رويس'],
            ['en' => 'Pontiac', 'ar' => 'بونتياك'],
            ['en' => 'Infiniti', 'ar' => 'إنفينيتي'],
            ['en' => 'Saab', 'ar' => 'ساب'],
            ['en' => 'Maserati', 'ar' => 'مازيراتي'],
            ['en' => 'Chrysler', 'ar' => 'كرايسلر'],
            ['en' => 'General Motors', 'ar' => 'جنرال موتورز'],
            ['en' => 'Aston Martin', 'ar' => 'أستون مارتن'],
            ['en' => 'Dodge', 'ar' => 'دودج'],
            ['en' => 'Lamborghini', 'ar' => 'لايكا'],
            ['en' => 'Koenigsegg', 'ar' => 'كونيجسيج'],
            ['en' => 'McLaren', 'ar' => 'ماكلارين'],
            ['en' => 'Bugatti', 'ar' => 'بوجاتي'],
            ['en' => 'Formula', 'ar' => 'فورمولا'],
            ['en' => 'FAW', 'ar' => 'فاو'],
            ['en' => 'Changan', 'ar' => 'شانجان'],
            ['en' => 'Geely', 'ar' => 'جيلي'],
            ['en' => 'Proton', 'ar' => 'بروتون'],
            ['en' => 'Tata', 'ar' => 'تاتا'],
            ['en' => 'Maybach', 'ar' => 'مايباخ'],
            ['en' => 'Haval', 'ar' => 'هافال'],
            ['en' => 'Zotye', 'ar' => 'زوتي'],
            ['en' => 'BYD', 'ar' => 'بي واي دي'],
            ['en' => 'Hafei', 'ar' => 'هافي'],
            ['en' => 'Chery', 'ar' => 'شيري'],
            ['en' => 'Rover', 'ar' => 'روفر'],
            ['en' => 'MG', 'ar' => 'إم جي'],
            ['en' => 'Foton', 'ar' => 'فوتون'],
            ['en' => 'JAC', 'ar' => 'جاك'],
            ['en' => 'Jowett', 'ar' => 'جويت'],
            ['en' => 'Zenos', 'ar' => 'زينوس'],
            ['en' => 'Denis', 'ar' => 'دينيس'],
            ['en' => 'Moskvitch', 'ar' => 'موسكفيتش'],
            ['en' => 'Opel', 'ar' => 'أوبل'],
            ['en' => 'Citroen', 'ar' => 'سيتروين'],
            ['en' => 'Daewoo', 'ar' => 'دايو'],
            ['en' => 'Iveco', 'ar' => 'إيفيكو'],
            ['en' => 'Maruti', 'ar' => 'ماروتي'],
            ['en' => 'Skoda', 'ar' => 'سكودا'],
            ['en' => 'Lada', 'ar' => 'لادا'],
            ['en' => 'ZAZ', 'ar' => 'زاز'],
            ['en' => 'ZIL', 'ar' => 'زيل'],
            ['en' => 'Isuzu', 'ar' => 'ايسوزو'],
            ['en' => 'DS', 'ar' => 'دي إس'],
            ['en' => 'Seat', 'ar' => 'سيات'],
            ['en' => 'Lancia', 'ar' => 'لانسيا'],
            ['en' => 'Daihatsu', 'ar' => 'دايهاتسو'],
            ['en' => 'Brabus', 'ar' => 'برابوس'],
            ['en' => 'Karmann', 'ar' => 'كارمان'],
            ['en' => 'King Long', 'ar' => 'كينج لونج'],
            ['en' => 'Polski Fiat', 'ar' => 'بولسكي فيات'],
            ['en' => 'Rambler', 'ar' => 'رامبلر'],
            ['en' => 'Sabra', 'ar' => 'صابرا'],
            ['en' => 'Stanley', 'ar' => 'ستانلي'],
            ['en' => 'De Tomaso', 'ar' => 'دي توماسو'],
            ['en' => 'Avtovaz', 'ar' => 'افتوفاز'],
            ['en' => 'Choda', 'ar' => 'تشودا']
        ];
        foreach ($names as $name)
        {
            Car::create([
                'name'  =>  $name,
            ]);
        }
    }
}
