<?php

namespace Database\Seeders;

use App\Models\City;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CitySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $cities = [
            ['en' => 'Cairo', 'ar' => 'القاهرة'],
            ['en' => 'Alexandria', 'ar' => 'الإسكندرية'],
            ['en' => 'Ismailia', 'ar' => 'الإسماعيلية'],
            ['en' => 'Suez', 'ar' => 'السويس'],
            ['en' => 'Port Said', 'ar' => 'بورسعيد'],
            ['en' => 'Aswan', 'ar' => 'أسوان'],
            ['en' => 'Asyut', 'ar' => 'أسيوط'],
            ['en' => 'Beheira', 'ar' => 'البحيرة'],
            ['en' => 'Beni Suef', 'ar' => 'بني سويف'],
            ['en' => 'Dakahlia', 'ar' => 'الدقهلية'],
            ['en' => 'Damietta', 'ar' => 'دمياط'],
            ['en' => 'Faiyum', 'ar' => 'الفيوم'],
            ['en' => 'Gharbia', 'ar' => 'الغربية'],
            ['en' => 'Giza', 'ar' => 'الجيزة'],
            ['en' => 'Ismailia', 'ar' => 'الإسماعيلية'],
            ['en' => 'Kafr El Sheikh', 'ar' => 'كفر الشيخ'],
            ['en' => 'Luxor', 'ar' => 'الأقصر'],
            ['en' => 'Matruh', 'ar' => 'مطروح'],
            ['en' => 'Minya', 'ar' => 'المنيا'],
            ['en' => 'Monufia', 'ar' => 'المنوفية'],
            ['en' => 'New Valley', 'ar' => 'الوادي الجديد'],
            ['en' => 'North Sinai', 'ar' => 'شمال سيناء'],
            ['en' => 'Port Said', 'ar' => 'بورسعيد'],
            ['en' => 'Qalyubia', 'ar' => 'القليوبية'],
            ['en' => 'Qena', 'ar' => 'قنا'],
            ['en' => 'Red Sea', 'ar' => 'البحر الأحمر'],
            ['en' => 'Sohag', 'ar' => 'سوهاج'],
            ['en' => 'South Sinai', 'ar' => 'جنوب سيناء']
        ];
        foreach ($cities as $city)
        {
            City::create([
                'name'  =>   $city,
                'country_id' => 1,
            ]);

        }

    }
}
