<?php

namespace Database\Seeders;

use App\Models\Color;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class ColorSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $colors = [
            ['name' => ['en' => 'Red', 'ar' => 'أحمر'], 'code' => '#FF0000'],
            ['name' => ['en' => 'Blue', 'ar' => 'أزرق'], 'code' => '#0000FF'],
            ['name' => ['en' => 'Green', 'ar' => 'أخضر'], 'code' => '#00FF00'],
            ['name' => ['en' => 'Yellow', 'ar' => 'أصفر'], 'code' => '#FFFF00'],
            ['name' => ['en' => 'Orange', 'ar' => 'برتقالي'], 'code' => '#FFA500'],
            ['name' => ['en' => 'Purple', 'ar' => 'بنفسجي'], 'code' => '#800080'],
            ['name' => ['en' => 'Pink', 'ar' => 'وردي'], 'code' => '#FFC0CB'],
            ['name' => ['en' => 'Brown', 'ar' => 'بني'], 'code' => '#A52A2A'],
            ['name' => ['en' => 'White', 'ar' => 'أبيض'], 'code' => '#FFFFFF'],
            ['name' => ['en' => 'Black', 'ar' => 'أسود'], 'code' => '#000000'],
            ['name' => ['en' => 'Gray', 'ar' => 'رمادي'], 'code' => '#808080'],
            ['name' => ['en' => 'Cyan', 'ar' => 'سماوي'], 'code' => '#00FFFF'],
            ['name' => ['en' => 'Magenta', 'ar' => 'أرجواني'], 'code' => '#FF00FF'],
            ['name' => ['en' => 'Lime', 'ar' => 'ليموني'], 'code' => '#00FF00'],
            ['name' => ['en' => 'Teal', 'ar' => 'سماوي'], 'code' => '#008080'],
            ['name' => ['en' => 'Maroon', 'ar' => 'قرمزي'], 'code' => '#800000'],
            ['name' => ['en' => 'Olive', 'ar' => 'زيتوني'], 'code' => '#808000'],
            ['name' => ['en' => 'Navy', 'ar' => 'بحري'], 'code' => '#000080'],
            ['name' => ['en' => 'Turquoise', 'ar' => 'فيروزي'], 'code' => '#40E0D0'],
            ['name' => ['en' => 'Indigo', 'ar' => 'نيلي'], 'code' => '#4B0082'],
            ['name' => ['en' => 'Aquamarine', 'ar' => 'زمردي'], 'code' => '#7FFFD4'],
            ['name' => ['en' => 'Gold', 'ar' => 'ذهبي'], 'code' => '#FFD700'],
            ['name' => ['en' => 'Silver', 'ar' => 'فضي'], 'code' => '#C0C0C0'],
            ['name' => ['en' => 'Crimson', 'ar' => 'قرمزي'], 'code' => '#DC143C'],
            ['name' => ['en' => 'Violet', 'ar' => 'بنفسجي'], 'code' => '#EE82EE'],
            ['name' => ['en' => 'Lavender', 'ar' => 'لافندر'], 'code' => '#E6E6FA'],
            ['name' => ['en' => 'Beige', 'ar' => 'بيج'], 'code' => '#F5F5DC'],
            ['name' => ['en' => 'Tan', 'ar' => 'بني فاتح'], 'code' => '#D2B48C'],
            ['name' => ['en' => 'Salmon', 'ar' => 'سالموني'], 'code' => '#FA8072'],
            ['name' => ['en' => 'Sky Blue', 'ar' => 'سماوي فاتح'], 'code' => '#87CEEB'],
            ['name' => ['en' => 'Khaki', 'ar' => 'كاكي'], 'code' => '#F0E68C'],
            ['name' => ['en' => 'Maroon', 'ar' => 'أحمر بني'], 'code' => '#800000'],
            ['name' => ['en' => 'Chocolate', 'ar' => 'شوكولاتة'], 'code' => '#D2691E'],
            ['name' => ['en' => 'Lemon', 'ar' => 'ليموني'], 'code' => '#FFF700'],
            ['name' => ['en' => 'Tangerine', 'ar' => 'يوسفي'], 'code' => '#F28500'],
            ['name' => ['en' => 'Coral', 'ar' => 'مرجاني'], 'code' => '#FF7F50'],
            ['name' => ['en' => 'Azure', 'ar' => 'سماوي غامق'], 'code' => '#007FFF'],
            ['name' => ['en' => 'Ruby', 'ar' => 'ياقوتي'], 'code' => '#E0115F'],
            ['name' => ['en' => 'Auburn', 'ar' => 'بني فاتح'], 'code' => '#A52A2A'],
            ['name' => ['en' => 'Electric Blue', 'ar' => 'أزرق كهربائي'], 'code' => '#7DF9FF'],
            ['name' => ['en' => 'Amber', 'ar' => 'عنبري'], 'code' => '#FFBF00'],
            ['name' => ['en' => 'Sapphire', 'ar' => 'زفيري'], 'code' => '#0F52BA'],
            ['name' => ['en' => 'Jade', 'ar' => 'يشمي'], 'code' => '#00A86B'],
            ['name' => ['en' => 'Pearl', 'ar' => 'لؤلؤي'], 'code' => '#EAE0C8'],
            ['name' => ['en' => 'Brick', 'ar' => 'طوبي'], 'code' => '#9C661F'],
            ['name' => ['en' => 'Plum', 'ar' => 'برقوقي'], 'code' => '#8E4585'],
            ['name' => ['en' => 'Periwinkle', 'ar' => 'بنفسجي فاتح'], 'code' => '#CCCCFF'],
            ['name' => ['en' => 'Mint', 'ar' => 'نعناعي'], 'code' => '#3EB489'],
            ['name' => ['en' => 'Rust', 'ar' => 'صدئي'], 'code' => '#B7410E']
            // Add more colors as needed
        ];
        foreach ($colors as $color) {
            Color::create([
                'name' => ['en' => $color['name']['en'], 'ar' => $color['name']['ar']],
                'code' => $color['code']
            ]);
        }

    }
}
