<?php

namespace Database\Seeders;

use App\Models\EmailTemplate;
use Illuminate\Database\Seeder;

class EmailTemplatesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $array = [
            [
                'act' => 'PASS_RESET_CODE',
                'name' => 'Password Reset',
                'subj' => 'Password Reset',
                'body' => '<div>We have received a request to reset the password for your account on <b>{{time}} .<br></b></div><div>Requested From IP: <b>{{ip}}</b> using <b>{{browser}}</b> on <b>{{operating_system}} </b>.</div><div><br></div><br><div><div><div>Your account recovery code is:&nbsp;&nbsp; <font size="6"><b>{{code}}</b></font></div><div><br></div></div></div><div><br></div><div><font size="4" color="#CC0000">If you do not wish to reset your password, please disregard this message.&nbsp;</font><br></div><br>',
                'shortcodes' => ' {"code":"Password Reset Code","ip":"IP of User","browser":"Browser of User","operating_system":"Operating System of User","time":"Request Time"}',
                'status' => 1,
            ],
            [
                'act' => 'PASS_RESET_DONE',
                'name' => 'Password Reset Confirmation',
                'subj' => 'You have Reset your password',
                'body' => '<div><p>You have successfully reset your password.</p><p>You changed from&nbsp; IP: <b>{{ip}}</b> using <b>{{browser}}</b> on <b>{{operating_system}}&nbsp;</b> on <b>{{time}}</b></p><p><b><br></b></p><p><font color="#FF0000"><b>If you did not changed that, Please contact with us as soon as possible.</b></font><br></p></div>',
                'shortcodes' => '{"ip":"IP of User","browser":"Browser of User","operating_system":"Operating System of User","time":"Request Time"}',
                'status' => 1,
            ]
        ];

        foreach ($array as $item) {
            EmailTemplate::create($item);
        }
    }
}
