@extends('backend.layout.master')
@section('title')
    تعديل | {{$data->name}}
@endsection
@section('css')

@endsection
@section('content')
    <div class="main-container">


        <!-- Page header start -->
        <div class="page-header">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">لوحة التحكم</li>
                <li class="breadcrumb-item active">@yield('title')</li>
            </ol>

            <ul class="app-actions">
                <li>
                    <a href="#" id="reportrange">
                        <span class="range-text"></span>
                        <i class="icon-chevron-down"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Print">
                        <i class="icon-print"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download CSV">
                        <i class="icon-cloud_download"></i>
                    </a>
                </li>
            </ul>
        </div>
        <!-- Page header end -->


        <!-- Content wrapper start -->
        <div class="content-wrapper">

            <!-- Row start -->
            <div class="row gutters">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{ route('administrator_blog_update', encrypt($data->id)) }}" method="post" enctype="multipart/form-data">
                                @csrf
                                <div class="row gutters">
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                        <img src="{{asset('upload/blog/'.$data->front_image)}}" alt="" style="width: 200px;height: 100px">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="custom-file">
                                                    <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01" name="front_image" >
                                                    <label class="custom-file-label" for="inputGroupFile01">الصورة الرئيسية</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                        @foreach($data->images as $image)
                                            <img src="{{asset('upload/blog/'.$image->image)}}" alt="" style="width: 200px;height: 100px">
                                        @endforeach
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="custom-file">
                                                    <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01" multiple name="image[]" >
                                                    <label class="custom-file-label" for="inputGroupFile01">صور المقالة</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="inputName" placeholder="اسم المقالة انجليزي" name="name" value="{{$data->getTranslation('name', 'en')}}">
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="inputName" placeholder="اسم المقالة عربي" name="name_ar" value="{{$data->getTranslation('name', 'ar')}}">
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                        <select class="form-control selectpicker" data-live-search="true" name="blog_category_id" >
                                            <option value="{{$data->blog_category_id}}" selected>{{$data->category->name}}</option>
                                            @foreach($categories as $category)
                                                <option value="{{$category->id}}">{{$category->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                        <select class="form-control selectpicker" multiple title="اختر التاجات" name="tag_id[]" >
                                            @foreach($data->tags as $tag)
                                                <option selected value="{{$tag->id}}">{{$tag->name}}</option>
                                            @endforeach
                                            @foreach($tags as $tag)
                                                <option value="{{$tag->id}}">{{$tag->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12">
                                        <div class="form-group">
                                            <label for="projectinput1">وصف المقالة (انجليزي)</label>
                                            <textarea name="notes" class="form-control ckeditor" id="" >{{$data->getTranslation('notes', 'en')}}</textarea>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12">
                                        <div class="form-group">
                                            <label for="projectinput1">وصف المقالة (عربي)</label>
                                            <textarea name="notes_ar" class="form-control ckeditor" id="" >{{$data->getTranslation('notes', 'ar')}}</textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                                    <button type="submit" class="btn btn-success"><i class="fa fa-edit"></i> تعديل </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Row end -->

        </div>
        <!-- Content wrapper end -->


    </div>
@endsection
@section('js')

@endsection
