@extends('backend.layout.master')
@section('title')
    قائمة المدونات
@endsection
@section('css')

@endsection
@section('content')
    <div class="main-container">


        <!-- Page header start -->
        <div class="page-header">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">لوحة التحكم</li>
                <li class="breadcrumb-item active">@yield('title')</li>
            </ol>

            <ul class="app-actions">
                <li>
                    <a href="#" id="reportrange">
                        <span class="range-text"></span>
                        <i class="icon-chevron-down"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Print">
                        <i class="icon-print"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download CSV">
                        <i class="icon-cloud_download"></i>
                    </a>
                </li>
            </ul>
        </div>
        <!-- Page header end -->


        <!-- Content wrapper start -->
        <div class="content-wrapper">

            <!-- Row start -->
            <div class="row gutters">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="table-container">
                        <div class="t-header"><a href="{{ route('administrator_blog_create') }}" class="btn btn-success"><i class="fa fa-plus"></i> إضافة مدونة </a></div>
                        <div class="table-responsive">
                            <table id="copy-print-csv" class="table custom-table">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>صورة المقالة</th>
                                    <th>اسم المقالة</th>
                                    <th>عدد المشاهدات</th>
                                    <th>الحالة</th>
                                    <th>إجراءات</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($data as $value)
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td><img src="{{asset('upload/blog/'.$value->front_image)}}" alt="" style="height: 40px;width: 40px;border-radius: 50%"></td>
                                        <td>{{$value->name}}</td>
                                        <td>{{$value->view}}</td>
                                        <td>
                                            @if($value->status == 0)
                                                <a class="btn btn-success btn-sm">نشطة</a>
                                            @else
                                                <a class="btn btn-danger btn-sm">غير نشطة</a>
                                            @endif
                                        </td>
                                        <td>
                                            <a href="{{ route('administrator_blog_edit', encrypt($value->id)) }}" class="btn btn-success btn-sm"><i class="fa fa-edit"></i></a>
                                            <!-- Button trigger modal -->
                                            <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#exampleModal{{$value->id}}">
                                                <i class="fa fa-trash-alt"></i>
                                            </button>
                                        </td>
                                    </tr>
                                    <!-- Modal -->
                                    <div class="modal fade" id="exampleModal{{$value->id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">{{$value->name}}</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body text-center">
                                                    <i class="fa-solid fa-circle-info text-danger" style="font-size: 50px"></i>
                                                    <p>هل أنت متأكد من حذف <span class="text-danger">{{$value->name}}</span></p>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info" data-dismiss="modal">لا غير متأكد</button>
                                                    <a href="{{ route('administrator_blog_destroy', encrypt($value->id)) }}" class="btn btn-secondary">نعم متأكد</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Row end -->

        </div>
        <!-- Content wrapper end -->


    </div>
@endsection
@section('js')

@endsection
