@extends('backend.layout.master')
@section('title')
    قائمة المنتجات قيد المراجعة
@endsection
@section('css')

@endsection
@section('content')
    <div class="main-container">


        <!-- Page header start -->
        <div class="page-header">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">لوحة التحكم</li>
                <li class="breadcrumb-item active">@yield('title')</li>
            </ol>

            <ul class="app-actions">
                <li>
                    <a href="#" id="reportrange">
                        <span class="range-text"></span>
                        <i class="icon-chevron-down"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Print">
                        <i class="icon-print"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download CSV">
                        <i class="icon-cloud_download"></i>
                    </a>
                </li>
            </ul>
        </div>
        <!-- Page header end -->


        <!-- Content wrapper start -->
        <div class="content-wrapper">

            <!-- Row start -->
            <div class="row gutters">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="table-container">
                        <div class="table-responsive">
                            <table id="copy-print-csv" class="table custom-table">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>صورة المنتج</th>
                                    <th>اسم المنتج</th>
                                    <th>اسم التاجر</th>
                                    <th>قسم المنتج</th>
                                    <th>سعر المنتج</th>
                                    <th>حالة المنتج</th>
                                    <th>كمية المنتج</th>
                                    <th>مدينة المنتج</th>
                                    <th>لون المنتج</th>
                                    <th>تاريخ الأضافة</th>
                                    <th>إجراءات</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($products as $value)
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td><img src="{{asset('upload/product/'.$value->front_image)}}" alt="" style="width: 40px;height: 40px;border-radius: 50%"></td>
                                        <td>{{$value->name}}</td>
                                        <td>{{$value->vendor->name}}</td>
                                        <td>{{$value->category->name}}</td>
                                        <td>{{$value->price}} EGP</td>
                                        <td>
                                            @if($value->status == 0)
                                                <a class="btn btn-warning btn-sm">Pending</a>
                                            @elseif($value->status == 1)
                                                <a class="btn btn-success btn-sm">Accepted</a>
                                            @else
                                                <a class="btn btn-danger btn-sm">Refused</a>
                                            @endif
                                        </td>
                                        <td>{{$value->quantity}}</td>
                                        <td>{{$value->city->name}}</td>
                                        <td><div style="padding: 10px;background-color: {{$value->color->code}}">{{$value->color->name}}</div></td>
                                        <td>{{$value->created_at}}</td>
                                        <td>
                                            <button type="button" class="btn btn-info btn-sm" data-toggle="modal" data-target="#exampleModal{{$value->id}}">
                                                <i class="fa fa-edit"></i> تحديث الحالة
                                            </button>


                                        </td>
                                    </tr>
                                    <!-- Modal -->
                                    <div class="modal fade" id="exampleModal{{$value->id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">{{$value->name}}</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body ">
                                                    <div class="row">
                                                        <form action="{{ route('administrator_product_updateStatus', encrypt($value->id)) }}" method="post" enctype="multipart/form-data">
                                                            @csrf
                                                            <div class="col-lg-12">
                                                                <label for="">حالة المنتج</label>
                                                                <select name="status" class="form-control" id="" required>
                                                                    <option selected value="{{$value->status}}">
                                                                        @if($value->status == 0)
                                                                            قيد الانتظار
                                                                        @elseif($value->status == 1)
                                                                            مقبول
                                                                        @else
                                                                            مرفوض
                                                                        @endif
                                                                    </option>
                                                                    <option value="0">قيد الأنتظار</option>
                                                                    <option value="1">مقبول</option>
                                                                    <option value="2">مرفوض</option>
                                                                </select>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-info" data-dismiss="modal">إغلاق</button>
                                                                <button type="submit"  class="btn btn-secondary">تغير الحالة</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>

                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Row end -->

        </div>
        <!-- Content wrapper end -->


    </div>
@endsection
@section('js')

@endsection
