@extends('vendor.layout.master')
@section('title')
    تعديل | {{$data->name}}
@endsection
@section('css')

@endsection
@section('content')
    <div class="main-container">


        <!-- Page header start -->
        <div class="page-header">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">لوحة التحكم</li>
                <li class="breadcrumb-item active">@yield('title')</li>
            </ol>

            <ul class="app-actions">
                <li>
                    <a href="#" id="reportrange">
                        <span class="range-text"></span>
                        <i class="icon-chevron-down"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Print">
                        <i class="icon-print"></i>
                    </a>
                </li>
                <li>
                    <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Download CSV">
                        <i class="icon-cloud_download"></i>
                    </a>
                </li>
            </ul>
        </div>
        <!-- Page header end -->


        <!-- Content wrapper start -->
        <div class="content-wrapper">

            <!-- Row start -->
            <div class="row gutters">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{ route('vendor_product_update', encrypt($data->id)) }}" method="post" enctype="multipart/form-data">
                                @csrf
                                <div class="row gutters">

                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6 mt-3">
                                        <img src="{{asset('upload/product/'.$data->front_image)}}" alt="" style="width: 200px;height: 100px">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="custom-file">
                                                    <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01" name="front_image" >
                                                    <label class="custom-file-label" for="inputGroupFile01">الصورة الأساسية للمنتج</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6 mt-3">
                                        @foreach($data->images as $image)
                                            <a href="{{ route('vendor_product_destroyImage', encrypt($image->id)) }}" class="btn btn-sm btn-danger"><i class="fa fa-trash-alt"></i></a>
                                            <img src="{{asset('upload/product/'.$image->image)}}" alt="" style="width: 200px;height: 100px">
                                        @endforeach
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="custom-file">
                                                    <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01" name="image[]" >
                                                    <label class="custom-file-label" for="inputGroupFile01">صور المنتج</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-4 col-md-4 col-sm-4 col-4 mt-3">
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="inputName" placeholder="اسم المنتج" name="name" value="{{$data->name}}">
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-4 mt-3">
                                        <select class="form-control selectpicker show-tick" data-live-search="true" name="color_id" >
                                            <option selected value="{{$data->color_id}}">{{$data->color->name}}</option>
                                            @foreach($colors as $color)
                                                <option style="background-color: {{$color->code}}" value="{{$color->id}}">{{$color->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-4 mt-3">
                                        <select class="form-control selectpicker" data-live-search="true" name="city_id" required>
                                            <option selected value="{{$data->city_id}}">{{$data->city->name}}</option>
                                            @foreach($cities as $city)
                                                <option value="{{$city->id}}">{{$city->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-4 mt-3">
                                        <select class="form-control selectpicker" data-live-search="true" name="category_id" required>
                                            <option selected value="{{$data->category_id}}">{{$data->category->name}}</option>
                                            @foreach($categories as $category)
                                                <option value="{{$category->id}}">{{$category->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>

                                </div>
                                <div class="row gutters mt-3" id="car" style="display: none;">
                                    <div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col-3">
                                        <select class="form-control selectpicker" data-live-search="true" name="car_id" >
                                            <option selected value="{{$data->car_id}}">{{$data->car->name}}</option>
                                            @foreach($cars as $car)
                                                <option value="{{$car->id}}">{{$car->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col-3">
                                        <select class="form-control selectpicker" data-live-search="true" name="type" >
                                            <option selected value="{{$data->type}}">
                                                @if($data->type == 0)
                                                    جديد
                                                @else
                                                    مستعمل
                                                @endif
                                            </option>
                                            <option value="0">جديد</option>
                                            <option value="1">مستعمل</option>
                                        </select>
                                    </div>
                                    <div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col-3">
                                        <select class="form-control selectpicker" data-live-search="true" name="mover" >
                                            <option selected value="{{$data->mover}}">
                                                @if($data->mover == 0)
                                                    مانويل
                                                @else
                                                    أوتوماتيك
                                                @endif
                                            </option>
                                            <option value="0">مانويل</option>
                                            <option value="1">أوتوماتيك</option>
                                        </select>
                                    </div>
                                    <div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col-3">
                                        <select class="form-control selectpicker" data-live-search="true" name="fuel" >
                                            <option selected value="{{$data->fuel}}">
                                                @if($data->fuel == 0)
                                                    بنزين
                                                @elseif($data->fuel == 1)
                                                    كهراء
                                                @elseif($data->fuel == 2)
                                                    غاز طبيعي
                                                @else
                                                    هجين
                                                @endif
                                            </option>
                                            <option value="0">بنزين</option>
                                            <option value="1">كهراء</option>
                                            <option value="2">غاز طبيعي</option>
                                            <option value="3">هجين</option>
                                        </select>
                                    </div>

                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-4 mt-3">
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="inputName" placeholder="موديل السيارة" name="model" value="{{$data->model}}">
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-4 mt-3">
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="inputName" placeholder="سنة الصنع" name="model_year" value="{{$data->model_year}}">
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-4 mt-3">
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="inputName" placeholder="عدد الكيلو متر" name="km" value="{{$data->km}}">
                                        </div>
                                    </div>
                                </div>
                                <div class="row gutters mt-3" >
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="inputName" placeholder="السعر" name="price" value="{{$data->price}}">
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                        <div class="form-group">
                                            <input type="number" class="form-control" id="inputName" placeholder="الكمية المتاحه" name="quantity" value="{{$data->quantity}}">
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                                        <div class="form-group">
                                            <label for="projectinput1">وصف المنتج</label>
                                            <textarea name="notes" class="form-control ckeditor" id="" >{{$data->notes}}</textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                                    <button type="submit" class="btn btn-success"><i class="fa fa-edit"></i> تعديل </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Row end -->

        </div>
        <!-- Content wrapper end -->


    </div>
@endsection
@section('js')

@endsection
