<?php

use App\Http\Controllers\Api\V1\Auth\Customer\CustomerLoginController;
use App\Http\Controllers\Api\V1\Auth\Customer\CustomerRegisterController;
use App\Http\Controllers\Api\V1\Auth\Customer\CustomerResetPasswordController;
use App\Http\Controllers\Api\V1\Customer\CustomerController;
use Illuminate\Support\Facades\Route;
use App\Base\ApiGuard;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::prefix('customer')->group(function () {
    Route::post('register', [CustomerRegisterController::class, 'register']);
    Route::post('login', [CustomerLoginController::class, 'login']);
    Route::post('password/email', [CustomerResetPasswordController::class, 'sendResetCodeEmail']);
    Route::post('password/verify-code', [CustomerResetPasswordController::class, 'verifyCode']);
    Route::post('password/reset', [CustomerResetPasswordController::class, 'reset']);

    Route::middleware('auth.api:customer_api' . ApiGuard::CUSTOMER_API)->group(function () {
        Route::get('logout', [CustomerLoginController::class, 'logout']);
        Route::get('profile', [CustomerController::class, 'profile']);
        Route::post('change-password', [CustomerController::class, 'changePassword']);
        Route::post('update-profile', [CustomerController::class, 'updateProfile']);
    });
});

