<?php

use App\Http\Controllers\Api\V1\Auth\Vendor\AuthController;
use App\Http\Controllers\Api\V1\BasicController;
use App\Http\Controllers\Api\V1\Vendor\ProductsController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::group(['prefix' => 'auth/vendor'], function ($router) {
    Route::post('/login', [AuthController::class, 'login']);
    Route::post('/register', [AuthController::class, 'register']);
});
Route::group(['middleware' => 'auth.api:vendor_api','prefix' => 'auth/vendor'], function ($router) {
    Route::post('/logout', [AuthController::class, 'logout']);
    Route::post('/refresh', [AuthController::class, 'refresh']);
    Route::get('/user-profile', [AuthController::class, 'userProfile']);
    Route::controller(ProductsController::class)->prefix('products')->group(function (){
        Route::get('all-products', 'getVendorProducts');
        Route::get('all-cars', 'getCarsList');
        Route::get('all-categories', 'getCategoriesList');
        Route::get('all-colors', 'getColorsList');
        Route::get('all-cities', 'getCitiesList');
        Route::post('store-vendor-product', 'storeVendorProducts');
        Route::post('delete-vendor-product', 'deleteVendorProducts');
    });
});
