<?php

use App\Http\Controllers\Backend\CarController;
use App\Http\Controllers\Backend\CategoryController;
use App\Http\Controllers\Backend\CityController;
use App\Http\Controllers\Backend\ColorController;
use App\Http\Controllers\Backend\CountryController;
use App\Http\Controllers\Backend\DashboardController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\Vendor\ProductController;
use App\Http\Controllers\Vendor\VendorController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::prefix('vendor')->name('vendor_')->group(function (){
    Route::get('login', [VendorController::class, 'login'])->name('login');
    Route::post('check', [VendorController::class, 'check'])->name('check');
    Route::middleware('vendor')->group(function (){
        Route::get('logout', [VendorController::class, 'logout'])->name('logout');
        Route::get('dashboard', [VendorController::class, 'index'])->name('dashboard');
        Route::controller(ProductController::class)->prefix('product')->name('product_')->group(function (){
            Route::get('index', 'index')->name('index');
            Route::get('create', 'create')->name('create');
            Route::post('store', 'store')->name('store');
            Route::get('edit/{id}', 'edit')->name('edit');
            Route::post('update/{id}', 'update')->name('update');
            Route::get('destroy/{id}', 'destroy')->name('destroy');
            Route::get('destroyImage/{id}', 'destroyImage')->name('destroyImage');
        });
    });
});
require __DIR__.'/auth.php';
