<?php //c80f3b44acc3e8fd87dc483a7c09b44c
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\Car;
    use App\Models\Category;
    use App\Models\City;
    use App\Models\Color;
    use App\Models\Country;
    use App\Models\Customer;
    use App\Models\CustomerEmailLog;
    use App\Models\CustomerPasswordReset;
    use App\Models\CustomerPromo;
    use App\Models\CustomerTransaction;
    use App\Models\CustomerVehicleType;
    use App\Models\CustomNotification;
    use App\Models\EmailTemplate;
    use App\Models\Product;
    use App\Models\ProductImage;
    use App\Models\User;
    use App\Models\VehicleType;
    use App\Models\Vendor;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;

    /**
     * @method Car|null getOrPut($key, \Closure $value)
     * @method Car|$this shift(int $count = 1)
     * @method Car|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Car|$this pop(int $count = 1)
     * @method Car|null pull($key, \Closure $default = null)
     * @method Car|null last(callable $callback = null, \Closure $default = null)
     * @method Car|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Car|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Car|null get($key, \Closure $default = null)
     * @method Car|null first(callable $callback = null, \Closure $default = null)
     * @method Car|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Car|null find($key, $default = null)
     * @method Car[] all()
     */
    class _IH_Car_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Car[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Car_QB whereId($value)
     * @method _IH_Car_QB whereName($value)
     * @method _IH_Car_QB whereCreatedAt($value)
     * @method _IH_Car_QB whereUpdatedAt($value)
     * @method Car baseSole(array|string $columns = ['*'])
     * @method Car create(array $attributes = [])
     * @method Car createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Car_C|Car[] cursor()
     * @method Car|null|_IH_Car_C|Car[] find($id, array|string $columns = ['*'])
     * @method _IH_Car_C|Car[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Car|_IH_Car_C|Car[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Car|_IH_Car_C|Car[] findOrFail($id, array|string $columns = ['*'])
     * @method Car|_IH_Car_C|Car[] findOrNew($id, array|string $columns = ['*'])
     * @method Car first(array|string $columns = ['*'])
     * @method Car firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Car firstOrCreate(array $attributes = [], array $values = [])
     * @method Car firstOrFail(array|string $columns = ['*'])
     * @method Car firstOrNew(array $attributes = [], array $values = [])
     * @method Car firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Car forceCreate(array $attributes)
     * @method Car forceCreateQuietly(array $attributes = [])
     * @method _IH_Car_C|Car[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Car_C|Car[] get(array|string $columns = ['*'])
     * @method Car getModel()
     * @method Car[] getModels(array|string $columns = ['*'])
     * @method _IH_Car_C|Car[] hydrate(array $items)
     * @method _IH_Car_C|Car[] lazy(int $chunkSize = 1000)
     * @method _IH_Car_C|Car[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Car_C|Car[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Car make(array $attributes = [])
     * @method Car newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Car[]|_IH_Car_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Car[]|_IH_Car_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Car sole(array|string $columns = ['*'])
     * @method Car updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Car_QB whereLocale(string $column, string $locale)
     * @method _IH_Car_QB whereLocales(string $column, array $locales)
     */
    class _IH_Car_QB extends _BaseBuilder {}

    /**
     * @method Category|null getOrPut($key, \Closure $value)
     * @method Category|$this shift(int $count = 1)
     * @method Category|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Category|$this pop(int $count = 1)
     * @method Category|null pull($key, \Closure $default = null)
     * @method Category|null last(callable $callback = null, \Closure $default = null)
     * @method Category|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Category|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Category|null get($key, \Closure $default = null)
     * @method Category|null first(callable $callback = null, \Closure $default = null)
     * @method Category|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Category|null find($key, $default = null)
     * @method Category[] all()
     */
    class _IH_Category_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Category[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Category_QB whereId($value)
     * @method _IH_Category_QB whereName($value)
     * @method _IH_Category_QB whereCreatedAt($value)
     * @method _IH_Category_QB whereUpdatedAt($value)
     * @method Category baseSole(array|string $columns = ['*'])
     * @method Category create(array $attributes = [])
     * @method Category createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Category_C|Category[] cursor()
     * @method Category|null|_IH_Category_C|Category[] find($id, array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category|_IH_Category_C|Category[] findOrFail($id, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOrNew($id, array|string $columns = ['*'])
     * @method Category first(array|string $columns = ['*'])
     * @method Category firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category firstOrCreate(array $attributes = [], array $values = [])
     * @method Category firstOrFail(array|string $columns = ['*'])
     * @method Category firstOrNew(array $attributes = [], array $values = [])
     * @method Category firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Category forceCreate(array $attributes)
     * @method Category forceCreateQuietly(array $attributes = [])
     * @method _IH_Category_C|Category[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Category_C|Category[] get(array|string $columns = ['*'])
     * @method Category getModel()
     * @method Category[] getModels(array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] hydrate(array $items)
     * @method _IH_Category_C|Category[] lazy(int $chunkSize = 1000)
     * @method _IH_Category_C|Category[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Category_C|Category[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Category make(array $attributes = [])
     * @method Category newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Category[]|_IH_Category_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Category[]|_IH_Category_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Category sole(array|string $columns = ['*'])
     * @method Category updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Category_QB whereLocale(string $column, string $locale)
     * @method _IH_Category_QB whereLocales(string $column, array $locales)
     */
    class _IH_Category_QB extends _BaseBuilder {}

    /**
     * @method City|null getOrPut($key, \Closure $value)
     * @method City|$this shift(int $count = 1)
     * @method City|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method City|$this pop(int $count = 1)
     * @method City|null pull($key, \Closure $default = null)
     * @method City|null last(callable $callback = null, \Closure $default = null)
     * @method City|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method City|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method City|null get($key, \Closure $default = null)
     * @method City|null first(callable $callback = null, \Closure $default = null)
     * @method City|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method City|null find($key, $default = null)
     * @method City[] all()
     */
    class _IH_City_C extends _BaseCollection {
        /**
         * @param int $size
         * @return City[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_City_QB whereId($value)
     * @method _IH_City_QB whereName($value)
     * @method _IH_City_QB whereCountryId($value)
     * @method _IH_City_QB whereStatus($value)
     * @method _IH_City_QB whereCreatedAt($value)
     * @method _IH_City_QB whereUpdatedAt($value)
     * @method City baseSole(array|string $columns = ['*'])
     * @method City create(array $attributes = [])
     * @method City createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_City_C|City[] cursor()
     * @method City|null|_IH_City_C|City[] find($id, array|string $columns = ['*'])
     * @method _IH_City_C|City[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method City|_IH_City_C|City[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method City|_IH_City_C|City[] findOrFail($id, array|string $columns = ['*'])
     * @method City|_IH_City_C|City[] findOrNew($id, array|string $columns = ['*'])
     * @method City first(array|string $columns = ['*'])
     * @method City firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method City firstOrCreate(array $attributes = [], array $values = [])
     * @method City firstOrFail(array|string $columns = ['*'])
     * @method City firstOrNew(array $attributes = [], array $values = [])
     * @method City firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method City forceCreate(array $attributes)
     * @method City forceCreateQuietly(array $attributes = [])
     * @method _IH_City_C|City[] fromQuery(string $query, array $bindings = [])
     * @method _IH_City_C|City[] get(array|string $columns = ['*'])
     * @method City getModel()
     * @method City[] getModels(array|string $columns = ['*'])
     * @method _IH_City_C|City[] hydrate(array $items)
     * @method _IH_City_C|City[] lazy(int $chunkSize = 1000)
     * @method _IH_City_C|City[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_City_C|City[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method City make(array $attributes = [])
     * @method City newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|City[]|_IH_City_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|City[]|_IH_City_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method City sole(array|string $columns = ['*'])
     * @method City updateOrCreate(array $attributes, array $values = [])
     * @method _IH_City_QB whereLocale(string $column, string $locale)
     * @method _IH_City_QB whereLocales(string $column, array $locales)
     */
    class _IH_City_QB extends _BaseBuilder {}

    /**
     * @method Color|null getOrPut($key, \Closure $value)
     * @method Color|$this shift(int $count = 1)
     * @method Color|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Color|$this pop(int $count = 1)
     * @method Color|null pull($key, \Closure $default = null)
     * @method Color|null last(callable $callback = null, \Closure $default = null)
     * @method Color|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Color|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Color|null get($key, \Closure $default = null)
     * @method Color|null first(callable $callback = null, \Closure $default = null)
     * @method Color|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Color|null find($key, $default = null)
     * @method Color[] all()
     */
    class _IH_Color_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Color[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Color_QB whereId($value)
     * @method _IH_Color_QB whereName($value)
     * @method _IH_Color_QB whereCode($value)
     * @method _IH_Color_QB whereCreatedAt($value)
     * @method _IH_Color_QB whereUpdatedAt($value)
     * @method Color baseSole(array|string $columns = ['*'])
     * @method Color create(array $attributes = [])
     * @method Color createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Color_C|Color[] cursor()
     * @method Color|null|_IH_Color_C|Color[] find($id, array|string $columns = ['*'])
     * @method _IH_Color_C|Color[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Color|_IH_Color_C|Color[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Color|_IH_Color_C|Color[] findOrFail($id, array|string $columns = ['*'])
     * @method Color|_IH_Color_C|Color[] findOrNew($id, array|string $columns = ['*'])
     * @method Color first(array|string $columns = ['*'])
     * @method Color firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Color firstOrCreate(array $attributes = [], array $values = [])
     * @method Color firstOrFail(array|string $columns = ['*'])
     * @method Color firstOrNew(array $attributes = [], array $values = [])
     * @method Color firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Color forceCreate(array $attributes)
     * @method Color forceCreateQuietly(array $attributes = [])
     * @method _IH_Color_C|Color[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Color_C|Color[] get(array|string $columns = ['*'])
     * @method Color getModel()
     * @method Color[] getModels(array|string $columns = ['*'])
     * @method _IH_Color_C|Color[] hydrate(array $items)
     * @method _IH_Color_C|Color[] lazy(int $chunkSize = 1000)
     * @method _IH_Color_C|Color[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Color_C|Color[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Color make(array $attributes = [])
     * @method Color newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Color[]|_IH_Color_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Color[]|_IH_Color_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Color sole(array|string $columns = ['*'])
     * @method Color updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Color_QB whereLocale(string $column, string $locale)
     * @method _IH_Color_QB whereLocales(string $column, array $locales)
     */
    class _IH_Color_QB extends _BaseBuilder {}

    /**
     * @method Country|null getOrPut($key, \Closure $value)
     * @method Country|$this shift(int $count = 1)
     * @method Country|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Country|$this pop(int $count = 1)
     * @method Country|null pull($key, \Closure $default = null)
     * @method Country|null last(callable $callback = null, \Closure $default = null)
     * @method Country|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Country|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Country|null get($key, \Closure $default = null)
     * @method Country|null first(callable $callback = null, \Closure $default = null)
     * @method Country|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Country|null find($key, $default = null)
     * @method Country[] all()
     */
    class _IH_Country_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Country[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Country_QB whereId($value)
     * @method _IH_Country_QB whereName($value)
     * @method _IH_Country_QB whereImage($value)
     * @method _IH_Country_QB whereStatus($value)
     * @method _IH_Country_QB whereCreatedAt($value)
     * @method _IH_Country_QB whereUpdatedAt($value)
     * @method Country baseSole(array|string $columns = ['*'])
     * @method Country create(array $attributes = [])
     * @method Country createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Country_C|Country[] cursor()
     * @method Country|null|_IH_Country_C|Country[] find($id, array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country|_IH_Country_C|Country[] findOrFail($id, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOrNew($id, array|string $columns = ['*'])
     * @method Country first(array|string $columns = ['*'])
     * @method Country firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country firstOrCreate(array $attributes = [], array $values = [])
     * @method Country firstOrFail(array|string $columns = ['*'])
     * @method Country firstOrNew(array $attributes = [], array $values = [])
     * @method Country firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Country forceCreate(array $attributes)
     * @method Country forceCreateQuietly(array $attributes = [])
     * @method _IH_Country_C|Country[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Country_C|Country[] get(array|string $columns = ['*'])
     * @method Country getModel()
     * @method Country[] getModels(array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] hydrate(array $items)
     * @method _IH_Country_C|Country[] lazy(int $chunkSize = 1000)
     * @method _IH_Country_C|Country[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Country_C|Country[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Country make(array $attributes = [])
     * @method Country newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Country[]|_IH_Country_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Country[]|_IH_Country_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Country sole(array|string $columns = ['*'])
     * @method Country updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Country_QB whereLocale(string $column, string $locale)
     * @method _IH_Country_QB whereLocales(string $column, array $locales)
     */
    class _IH_Country_QB extends _BaseBuilder {}

    /**
     * @method CustomNotification|null getOrPut($key, \Closure $value)
     * @method CustomNotification|$this shift(int $count = 1)
     * @method CustomNotification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomNotification|$this pop(int $count = 1)
     * @method CustomNotification|null pull($key, \Closure $default = null)
     * @method CustomNotification|null last(callable $callback = null, \Closure $default = null)
     * @method CustomNotification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomNotification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomNotification|null get($key, \Closure $default = null)
     * @method CustomNotification|null first(callable $callback = null, \Closure $default = null)
     * @method CustomNotification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomNotification|null find($key, $default = null)
     * @method CustomNotification[] all()
     */
    class _IH_CustomNotification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomNotification[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_CustomNotification_QB whereId($value)
     * @method _IH_CustomNotification_QB whereTitle($value)
     * @method _IH_CustomNotification_QB whereBody($value)
     * @method _IH_CustomNotification_QB whereImage($value)
     * @method _IH_CustomNotification_QB whereType($value)
     * @method _IH_CustomNotification_QB whereCreatedAt($value)
     * @method _IH_CustomNotification_QB whereUpdatedAt($value)
     * @method CustomNotification baseSole(array|string $columns = ['*'])
     * @method CustomNotification create(array $attributes = [])
     * @method CustomNotification createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_CustomNotification_C|CustomNotification[] cursor()
     * @method CustomNotification|null|_IH_CustomNotification_C|CustomNotification[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomNotification_C|CustomNotification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomNotification|_IH_CustomNotification_C|CustomNotification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomNotification|_IH_CustomNotification_C|CustomNotification[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomNotification|_IH_CustomNotification_C|CustomNotification[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomNotification first(array|string $columns = ['*'])
     * @method CustomNotification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomNotification firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomNotification firstOrFail(array|string $columns = ['*'])
     * @method CustomNotification firstOrNew(array $attributes = [], array $values = [])
     * @method CustomNotification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomNotification forceCreate(array $attributes)
     * @method CustomNotification forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomNotification_C|CustomNotification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomNotification_C|CustomNotification[] get(array|string $columns = ['*'])
     * @method CustomNotification getModel()
     * @method CustomNotification[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomNotification_C|CustomNotification[] hydrate(array $items)
     * @method _IH_CustomNotification_C|CustomNotification[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomNotification_C|CustomNotification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomNotification_C|CustomNotification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomNotification make(array $attributes = [])
     * @method CustomNotification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomNotification[]|_IH_CustomNotification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomNotification[]|_IH_CustomNotification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomNotification sole(array|string $columns = ['*'])
     * @method CustomNotification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomNotification_QB extends _BaseBuilder {}

    /**
     * @method CustomerEmailLog|null getOrPut($key, \Closure $value)
     * @method CustomerEmailLog|$this shift(int $count = 1)
     * @method CustomerEmailLog|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerEmailLog|$this pop(int $count = 1)
     * @method CustomerEmailLog|null pull($key, \Closure $default = null)
     * @method CustomerEmailLog|null last(callable $callback = null, \Closure $default = null)
     * @method CustomerEmailLog|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomerEmailLog|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerEmailLog|null get($key, \Closure $default = null)
     * @method CustomerEmailLog|null first(callable $callback = null, \Closure $default = null)
     * @method CustomerEmailLog|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomerEmailLog|null find($key, $default = null)
     * @method CustomerEmailLog[] all()
     */
    class _IH_CustomerEmailLog_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomerEmailLog[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_CustomerEmailLog_QB whereId($value)
     * @method _IH_CustomerEmailLog_QB whereCustomerId($value)
     * @method _IH_CustomerEmailLog_QB whereMailSender($value)
     * @method _IH_CustomerEmailLog_QB whereMailFrom($value)
     * @method _IH_CustomerEmailLog_QB whereMailTo($value)
     * @method _IH_CustomerEmailLog_QB whereSubject($value)
     * @method _IH_CustomerEmailLog_QB whereMessage($value)
     * @method _IH_CustomerEmailLog_QB whereCreatedAt($value)
     * @method _IH_CustomerEmailLog_QB whereUpdatedAt($value)
     * @method CustomerEmailLog baseSole(array|string $columns = ['*'])
     * @method CustomerEmailLog create(array $attributes = [])
     * @method CustomerEmailLog createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] cursor()
     * @method CustomerEmailLog|null|_IH_CustomerEmailLog_C|CustomerEmailLog[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomerEmailLog|_IH_CustomerEmailLog_C|CustomerEmailLog[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerEmailLog|_IH_CustomerEmailLog_C|CustomerEmailLog[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomerEmailLog|_IH_CustomerEmailLog_C|CustomerEmailLog[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomerEmailLog first(array|string $columns = ['*'])
     * @method CustomerEmailLog firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerEmailLog firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomerEmailLog firstOrFail(array|string $columns = ['*'])
     * @method CustomerEmailLog firstOrNew(array $attributes = [], array $values = [])
     * @method CustomerEmailLog firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomerEmailLog forceCreate(array $attributes)
     * @method CustomerEmailLog forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] get(array|string $columns = ['*'])
     * @method CustomerEmailLog getModel()
     * @method CustomerEmailLog[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] hydrate(array $items)
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomerEmailLog_C|CustomerEmailLog[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomerEmailLog make(array $attributes = [])
     * @method CustomerEmailLog newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomerEmailLog[]|_IH_CustomerEmailLog_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomerEmailLog[]|_IH_CustomerEmailLog_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomerEmailLog sole(array|string $columns = ['*'])
     * @method CustomerEmailLog updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomerEmailLog_QB extends _BaseBuilder {}

    /**
     * @method CustomerPasswordReset|null getOrPut($key, \Closure $value)
     * @method CustomerPasswordReset|$this shift(int $count = 1)
     * @method CustomerPasswordReset|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerPasswordReset|$this pop(int $count = 1)
     * @method CustomerPasswordReset|null pull($key, \Closure $default = null)
     * @method CustomerPasswordReset|null last(callable $callback = null, \Closure $default = null)
     * @method CustomerPasswordReset|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomerPasswordReset|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerPasswordReset|null get($key, \Closure $default = null)
     * @method CustomerPasswordReset|null first(callable $callback = null, \Closure $default = null)
     * @method CustomerPasswordReset|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomerPasswordReset|null find($key, $default = null)
     * @method CustomerPasswordReset[] all()
     */
    class _IH_CustomerPasswordReset_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomerPasswordReset[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_CustomerPasswordReset_QB whereId($value)
     * @method _IH_CustomerPasswordReset_QB whereType($value)
     * @method _IH_CustomerPasswordReset_QB whereSender($value)
     * @method _IH_CustomerPasswordReset_QB whereToken($value)
     * @method _IH_CustomerPasswordReset_QB whereCreatedAt($value)
     * @method _IH_CustomerPasswordReset_QB whereUpdatedAt($value)
     * @method CustomerPasswordReset baseSole(array|string $columns = ['*'])
     * @method CustomerPasswordReset create(array $attributes = [])
     * @method CustomerPasswordReset createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] cursor()
     * @method CustomerPasswordReset|null|_IH_CustomerPasswordReset_C|CustomerPasswordReset[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomerPasswordReset|_IH_CustomerPasswordReset_C|CustomerPasswordReset[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerPasswordReset|_IH_CustomerPasswordReset_C|CustomerPasswordReset[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomerPasswordReset|_IH_CustomerPasswordReset_C|CustomerPasswordReset[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomerPasswordReset first(array|string $columns = ['*'])
     * @method CustomerPasswordReset firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerPasswordReset firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomerPasswordReset firstOrFail(array|string $columns = ['*'])
     * @method CustomerPasswordReset firstOrNew(array $attributes = [], array $values = [])
     * @method CustomerPasswordReset firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomerPasswordReset forceCreate(array $attributes)
     * @method CustomerPasswordReset forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] get(array|string $columns = ['*'])
     * @method CustomerPasswordReset getModel()
     * @method CustomerPasswordReset[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] hydrate(array $items)
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomerPasswordReset_C|CustomerPasswordReset[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomerPasswordReset make(array $attributes = [])
     * @method CustomerPasswordReset newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomerPasswordReset[]|_IH_CustomerPasswordReset_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomerPasswordReset[]|_IH_CustomerPasswordReset_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomerPasswordReset sole(array|string $columns = ['*'])
     * @method CustomerPasswordReset updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomerPasswordReset_QB extends _BaseBuilder {}

    /**
     * @method CustomerPromo|null getOrPut($key, \Closure $value)
     * @method CustomerPromo|$this shift(int $count = 1)
     * @method CustomerPromo|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerPromo|$this pop(int $count = 1)
     * @method CustomerPromo|null pull($key, \Closure $default = null)
     * @method CustomerPromo|null last(callable $callback = null, \Closure $default = null)
     * @method CustomerPromo|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomerPromo|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerPromo|null get($key, \Closure $default = null)
     * @method CustomerPromo|null first(callable $callback = null, \Closure $default = null)
     * @method CustomerPromo|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomerPromo|null find($key, $default = null)
     * @method CustomerPromo[] all()
     */
    class _IH_CustomerPromo_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomerPromo[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_CustomerPromo_QB whereId($value)
     * @method _IH_CustomerPromo_QB whereCustomerId($value)
     * @method _IH_CustomerPromo_QB wherePromoId($value)
     * @method _IH_CustomerPromo_QB whereCreatedAt($value)
     * @method _IH_CustomerPromo_QB whereUpdatedAt($value)
     * @method CustomerPromo baseSole(array|string $columns = ['*'])
     * @method CustomerPromo create(array $attributes = [])
     * @method CustomerPromo createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_CustomerPromo_C|CustomerPromo[] cursor()
     * @method CustomerPromo|null|_IH_CustomerPromo_C|CustomerPromo[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomerPromo_C|CustomerPromo[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomerPromo|_IH_CustomerPromo_C|CustomerPromo[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerPromo|_IH_CustomerPromo_C|CustomerPromo[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomerPromo|_IH_CustomerPromo_C|CustomerPromo[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomerPromo first(array|string $columns = ['*'])
     * @method CustomerPromo firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerPromo firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomerPromo firstOrFail(array|string $columns = ['*'])
     * @method CustomerPromo firstOrNew(array $attributes = [], array $values = [])
     * @method CustomerPromo firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomerPromo forceCreate(array $attributes)
     * @method CustomerPromo forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomerPromo_C|CustomerPromo[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomerPromo_C|CustomerPromo[] get(array|string $columns = ['*'])
     * @method CustomerPromo getModel()
     * @method CustomerPromo[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomerPromo_C|CustomerPromo[] hydrate(array $items)
     * @method _IH_CustomerPromo_C|CustomerPromo[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomerPromo_C|CustomerPromo[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomerPromo_C|CustomerPromo[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomerPromo make(array $attributes = [])
     * @method CustomerPromo newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomerPromo[]|_IH_CustomerPromo_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomerPromo[]|_IH_CustomerPromo_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomerPromo sole(array|string $columns = ['*'])
     * @method CustomerPromo updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomerPromo_QB extends _BaseBuilder {}

    /**
     * @method CustomerTransaction|null getOrPut($key, \Closure $value)
     * @method CustomerTransaction|$this shift(int $count = 1)
     * @method CustomerTransaction|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerTransaction|$this pop(int $count = 1)
     * @method CustomerTransaction|null pull($key, \Closure $default = null)
     * @method CustomerTransaction|null last(callable $callback = null, \Closure $default = null)
     * @method CustomerTransaction|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomerTransaction|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerTransaction|null get($key, \Closure $default = null)
     * @method CustomerTransaction|null first(callable $callback = null, \Closure $default = null)
     * @method CustomerTransaction|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomerTransaction|null find($key, $default = null)
     * @method CustomerTransaction[] all()
     */
    class _IH_CustomerTransaction_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomerTransaction[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_CustomerTransaction_QB whereId($value)
     * @method _IH_CustomerTransaction_QB whereCustomerId($value)
     * @method _IH_CustomerTransaction_QB wherePaymentType($value)
     * @method _IH_CustomerTransaction_QB whereTrx($value)
     * @method _IH_CustomerTransaction_QB whereTrxType($value)
     * @method _IH_CustomerTransaction_QB whereReferralCode($value)
     * @method _IH_CustomerTransaction_QB whereAmount($value)
     * @method _IH_CustomerTransaction_QB whereRemarks($value)
     * @method _IH_CustomerTransaction_QB whereCreatedAt($value)
     * @method _IH_CustomerTransaction_QB whereUpdatedAt($value)
     * @method CustomerTransaction baseSole(array|string $columns = ['*'])
     * @method CustomerTransaction create(array $attributes = [])
     * @method CustomerTransaction createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] cursor()
     * @method CustomerTransaction|null|_IH_CustomerTransaction_C|CustomerTransaction[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomerTransaction|_IH_CustomerTransaction_C|CustomerTransaction[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerTransaction|_IH_CustomerTransaction_C|CustomerTransaction[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomerTransaction|_IH_CustomerTransaction_C|CustomerTransaction[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomerTransaction first(array|string $columns = ['*'])
     * @method CustomerTransaction firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerTransaction firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomerTransaction firstOrFail(array|string $columns = ['*'])
     * @method CustomerTransaction firstOrNew(array $attributes = [], array $values = [])
     * @method CustomerTransaction firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomerTransaction forceCreate(array $attributes)
     * @method CustomerTransaction forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] get(array|string $columns = ['*'])
     * @method CustomerTransaction getModel()
     * @method CustomerTransaction[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] hydrate(array $items)
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomerTransaction_C|CustomerTransaction[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomerTransaction make(array $attributes = [])
     * @method CustomerTransaction newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomerTransaction[]|_IH_CustomerTransaction_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomerTransaction[]|_IH_CustomerTransaction_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomerTransaction sole(array|string $columns = ['*'])
     * @method CustomerTransaction updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomerTransaction_QB extends _BaseBuilder {}

    /**
     * @method CustomerVehicleType|null getOrPut($key, \Closure $value)
     * @method CustomerVehicleType|$this shift(int $count = 1)
     * @method CustomerVehicleType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerVehicleType|$this pop(int $count = 1)
     * @method CustomerVehicleType|null pull($key, \Closure $default = null)
     * @method CustomerVehicleType|null last(callable $callback = null, \Closure $default = null)
     * @method CustomerVehicleType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomerVehicleType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomerVehicleType|null get($key, \Closure $default = null)
     * @method CustomerVehicleType|null first(callable $callback = null, \Closure $default = null)
     * @method CustomerVehicleType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomerVehicleType|null find($key, $default = null)
     * @method CustomerVehicleType[] all()
     */
    class _IH_CustomerVehicleType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomerVehicleType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_CustomerVehicleType_QB whereId($value)
     * @method _IH_CustomerVehicleType_QB whereVehicleName($value)
     * @method _IH_CustomerVehicleType_QB whereVehicleModel($value)
     * @method _IH_CustomerVehicleType_QB whereModelYear($value)
     * @method _IH_CustomerVehicleType_QB whereCustomerId($value)
     * @method _IH_CustomerVehicleType_QB whereVehicleTypeId($value)
     * @method _IH_CustomerVehicleType_QB whereCreatedAt($value)
     * @method _IH_CustomerVehicleType_QB whereUpdatedAt($value)
     * @method CustomerVehicleType baseSole(array|string $columns = ['*'])
     * @method CustomerVehicleType create(array $attributes = [])
     * @method CustomerVehicleType createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] cursor()
     * @method CustomerVehicleType|null|_IH_CustomerVehicleType_C|CustomerVehicleType[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomerVehicleType|_IH_CustomerVehicleType_C|CustomerVehicleType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerVehicleType|_IH_CustomerVehicleType_C|CustomerVehicleType[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomerVehicleType|_IH_CustomerVehicleType_C|CustomerVehicleType[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomerVehicleType first(array|string $columns = ['*'])
     * @method CustomerVehicleType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomerVehicleType firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomerVehicleType firstOrFail(array|string $columns = ['*'])
     * @method CustomerVehicleType firstOrNew(array $attributes = [], array $values = [])
     * @method CustomerVehicleType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomerVehicleType forceCreate(array $attributes)
     * @method CustomerVehicleType forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] get(array|string $columns = ['*'])
     * @method CustomerVehicleType getModel()
     * @method CustomerVehicleType[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] hydrate(array $items)
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomerVehicleType_C|CustomerVehicleType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomerVehicleType make(array $attributes = [])
     * @method CustomerVehicleType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomerVehicleType[]|_IH_CustomerVehicleType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomerVehicleType[]|_IH_CustomerVehicleType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomerVehicleType sole(array|string $columns = ['*'])
     * @method CustomerVehicleType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomerVehicleType_QB extends _BaseBuilder {}

    /**
     * @method Customer|null getOrPut($key, \Closure $value)
     * @method Customer|$this shift(int $count = 1)
     * @method Customer|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Customer|$this pop(int $count = 1)
     * @method Customer|null pull($key, \Closure $default = null)
     * @method Customer|null last(callable $callback = null, \Closure $default = null)
     * @method Customer|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Customer|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Customer|null get($key, \Closure $default = null)
     * @method Customer|null first(callable $callback = null, \Closure $default = null)
     * @method Customer|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Customer|null find($key, $default = null)
     * @method Customer[] all()
     */
    class _IH_Customer_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Customer[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Customer_QB whereId($value)
     * @method _IH_Customer_QB whereName($value)
     * @method _IH_Customer_QB whereEmail($value)
     * @method _IH_Customer_QB whereEmailVerifiedAt($value)
     * @method _IH_Customer_QB wherePassword($value)
     * @method _IH_Customer_QB whereImage($value)
     * @method _IH_Customer_QB whereMobile($value)
     * @method _IH_Customer_QB whereCityId($value)
     * @method _IH_Customer_QB whereAddress($value)
     * @method _IH_Customer_QB whereStatus($value)
     * @method _IH_Customer_QB whereGender($value)
     * @method _IH_Customer_QB whereReferralCode($value)
     * @method _IH_Customer_QB whereBalance($value)
     * @method _IH_Customer_QB whereFcmToken($value)
     * @method _IH_Customer_QB whereReferredBy($value)
     * @method _IH_Customer_QB whereLoginBy($value)
     * @method _IH_Customer_QB whereLastKnownIp($value)
     * @method _IH_Customer_QB whereLastLoginAt($value)
     * @method _IH_Customer_QB whereRememberToken($value)
     * @method _IH_Customer_QB whereCreatedAt($value)
     * @method _IH_Customer_QB whereUpdatedAt($value)
     * @method Customer baseSole(array|string $columns = ['*'])
     * @method Customer create(array $attributes = [])
     * @method Customer createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Customer_C|Customer[] cursor()
     * @method Customer|null|_IH_Customer_C|Customer[] find($id, array|string $columns = ['*'])
     * @method _IH_Customer_C|Customer[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Customer|_IH_Customer_C|Customer[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Customer|_IH_Customer_C|Customer[] findOrFail($id, array|string $columns = ['*'])
     * @method Customer|_IH_Customer_C|Customer[] findOrNew($id, array|string $columns = ['*'])
     * @method Customer first(array|string $columns = ['*'])
     * @method Customer firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Customer firstOrCreate(array $attributes = [], array $values = [])
     * @method Customer firstOrFail(array|string $columns = ['*'])
     * @method Customer firstOrNew(array $attributes = [], array $values = [])
     * @method Customer firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Customer forceCreate(array $attributes)
     * @method Customer forceCreateQuietly(array $attributes = [])
     * @method _IH_Customer_C|Customer[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Customer_C|Customer[] get(array|string $columns = ['*'])
     * @method Customer getModel()
     * @method Customer[] getModels(array|string $columns = ['*'])
     * @method _IH_Customer_C|Customer[] hydrate(array $items)
     * @method _IH_Customer_C|Customer[] lazy(int $chunkSize = 1000)
     * @method _IH_Customer_C|Customer[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Customer_C|Customer[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Customer make(array $attributes = [])
     * @method Customer newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Customer[]|_IH_Customer_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Customer[]|_IH_Customer_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Customer sole(array|string $columns = ['*'])
     * @method Customer updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Customer_QB extends _BaseBuilder {}

    /**
     * @method EmailTemplate|null getOrPut($key, \Closure $value)
     * @method EmailTemplate|$this shift(int $count = 1)
     * @method EmailTemplate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EmailTemplate|$this pop(int $count = 1)
     * @method EmailTemplate|null pull($key, \Closure $default = null)
     * @method EmailTemplate|null last(callable $callback = null, \Closure $default = null)
     * @method EmailTemplate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EmailTemplate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EmailTemplate|null get($key, \Closure $default = null)
     * @method EmailTemplate|null first(callable $callback = null, \Closure $default = null)
     * @method EmailTemplate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EmailTemplate|null find($key, $default = null)
     * @method EmailTemplate[] all()
     */
    class _IH_EmailTemplate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EmailTemplate[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_EmailTemplate_QB whereId($value)
     * @method _IH_EmailTemplate_QB whereAct($value)
     * @method _IH_EmailTemplate_QB whereName($value)
     * @method _IH_EmailTemplate_QB whereSubj($value)
     * @method _IH_EmailTemplate_QB whereBody($value)
     * @method _IH_EmailTemplate_QB whereShortcodes($value)
     * @method _IH_EmailTemplate_QB whereStatus($value)
     * @method _IH_EmailTemplate_QB whereCreatedAt($value)
     * @method _IH_EmailTemplate_QB whereUpdatedAt($value)
     * @method EmailTemplate baseSole(array|string $columns = ['*'])
     * @method EmailTemplate create(array $attributes = [])
     * @method EmailTemplate createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_EmailTemplate_C|EmailTemplate[] cursor()
     * @method EmailTemplate|null|_IH_EmailTemplate_C|EmailTemplate[] find($id, array|string $columns = ['*'])
     * @method _IH_EmailTemplate_C|EmailTemplate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EmailTemplate|_IH_EmailTemplate_C|EmailTemplate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EmailTemplate|_IH_EmailTemplate_C|EmailTemplate[] findOrFail($id, array|string $columns = ['*'])
     * @method EmailTemplate|_IH_EmailTemplate_C|EmailTemplate[] findOrNew($id, array|string $columns = ['*'])
     * @method EmailTemplate first(array|string $columns = ['*'])
     * @method EmailTemplate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EmailTemplate firstOrCreate(array $attributes = [], array $values = [])
     * @method EmailTemplate firstOrFail(array|string $columns = ['*'])
     * @method EmailTemplate firstOrNew(array $attributes = [], array $values = [])
     * @method EmailTemplate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EmailTemplate forceCreate(array $attributes)
     * @method EmailTemplate forceCreateQuietly(array $attributes = [])
     * @method _IH_EmailTemplate_C|EmailTemplate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EmailTemplate_C|EmailTemplate[] get(array|string $columns = ['*'])
     * @method EmailTemplate getModel()
     * @method EmailTemplate[] getModels(array|string $columns = ['*'])
     * @method _IH_EmailTemplate_C|EmailTemplate[] hydrate(array $items)
     * @method _IH_EmailTemplate_C|EmailTemplate[] lazy(int $chunkSize = 1000)
     * @method _IH_EmailTemplate_C|EmailTemplate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EmailTemplate_C|EmailTemplate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EmailTemplate make(array $attributes = [])
     * @method EmailTemplate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EmailTemplate[]|_IH_EmailTemplate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EmailTemplate[]|_IH_EmailTemplate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EmailTemplate sole(array|string $columns = ['*'])
     * @method EmailTemplate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EmailTemplate_QB extends _BaseBuilder {}

    /**
     * @method ProductImage|null getOrPut($key, \Closure $value)
     * @method ProductImage|$this shift(int $count = 1)
     * @method ProductImage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductImage|$this pop(int $count = 1)
     * @method ProductImage|null pull($key, \Closure $default = null)
     * @method ProductImage|null last(callable $callback = null, \Closure $default = null)
     * @method ProductImage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductImage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductImage|null get($key, \Closure $default = null)
     * @method ProductImage|null first(callable $callback = null, \Closure $default = null)
     * @method ProductImage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductImage|null find($key, $default = null)
     * @method ProductImage[] all()
     */
    class _IH_ProductImage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductImage[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_ProductImage_QB whereId($value)
     * @method _IH_ProductImage_QB whereImage($value)
     * @method _IH_ProductImage_QB whereProductId($value)
     * @method _IH_ProductImage_QB whereCreatedAt($value)
     * @method _IH_ProductImage_QB whereUpdatedAt($value)
     * @method ProductImage baseSole(array|string $columns = ['*'])
     * @method ProductImage create(array $attributes = [])
     * @method ProductImage createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_ProductImage_C|ProductImage[] cursor()
     * @method ProductImage|null|_IH_ProductImage_C|ProductImage[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductImage_C|ProductImage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductImage|_IH_ProductImage_C|ProductImage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductImage|_IH_ProductImage_C|ProductImage[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductImage|_IH_ProductImage_C|ProductImage[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductImage first(array|string $columns = ['*'])
     * @method ProductImage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductImage firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductImage firstOrFail(array|string $columns = ['*'])
     * @method ProductImage firstOrNew(array $attributes = [], array $values = [])
     * @method ProductImage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductImage forceCreate(array $attributes)
     * @method ProductImage forceCreateQuietly(array $attributes = [])
     * @method _IH_ProductImage_C|ProductImage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductImage_C|ProductImage[] get(array|string $columns = ['*'])
     * @method ProductImage getModel()
     * @method ProductImage[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductImage_C|ProductImage[] hydrate(array $items)
     * @method _IH_ProductImage_C|ProductImage[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductImage_C|ProductImage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductImage_C|ProductImage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductImage make(array $attributes = [])
     * @method ProductImage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductImage[]|_IH_ProductImage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductImage[]|_IH_ProductImage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductImage sole(array|string $columns = ['*'])
     * @method ProductImage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductImage_QB extends _BaseBuilder {}

    /**
     * @method Product|null getOrPut($key, \Closure $value)
     * @method Product|$this shift(int $count = 1)
     * @method Product|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Product|$this pop(int $count = 1)
     * @method Product|null pull($key, \Closure $default = null)
     * @method Product|null last(callable $callback = null, \Closure $default = null)
     * @method Product|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Product|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Product|null get($key, \Closure $default = null)
     * @method Product|null first(callable $callback = null, \Closure $default = null)
     * @method Product|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Product|null find($key, $default = null)
     * @method Product[] all()
     */
    class _IH_Product_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Product[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Product_QB whereId($value)
     * @method _IH_Product_QB whereName($value)
     * @method _IH_Product_QB whereFrontImage($value)
     * @method _IH_Product_QB wherePrice($value)
     * @method _IH_Product_QB whereNotes($value)
     * @method _IH_Product_QB whereModel($value)
     * @method _IH_Product_QB whereModelYear($value)
     * @method _IH_Product_QB whereKm($value)
     * @method _IH_Product_QB whereType($value)
     * @method _IH_Product_QB whereStatus($value)
     * @method _IH_Product_QB whereQuantity($value)
     * @method _IH_Product_QB whereMover($value)
     * @method _IH_Product_QB whereFuel($value)
     * @method _IH_Product_QB whereCityId($value)
     * @method _IH_Product_QB whereCarId($value)
     * @method _IH_Product_QB whereColorId($value)
     * @method _IH_Product_QB whereCategoryId($value)
     * @method _IH_Product_QB whereVendorId($value)
     * @method _IH_Product_QB whereCreatedAt($value)
     * @method _IH_Product_QB whereUpdatedAt($value)
     * @method Product baseSole(array|string $columns = ['*'])
     * @method Product create(array $attributes = [])
     * @method Product createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Product_C|Product[] cursor()
     * @method Product|null|_IH_Product_C|Product[] find($id, array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product|_IH_Product_C|Product[] findOrFail($id, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOrNew($id, array|string $columns = ['*'])
     * @method Product first(array|string $columns = ['*'])
     * @method Product firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product firstOrCreate(array $attributes = [], array $values = [])
     * @method Product firstOrFail(array|string $columns = ['*'])
     * @method Product firstOrNew(array $attributes = [], array $values = [])
     * @method Product firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Product forceCreate(array $attributes)
     * @method Product forceCreateQuietly(array $attributes = [])
     * @method _IH_Product_C|Product[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Product_C|Product[] get(array|string $columns = ['*'])
     * @method Product getModel()
     * @method Product[] getModels(array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] hydrate(array $items)
     * @method _IH_Product_C|Product[] lazy(int $chunkSize = 1000)
     * @method _IH_Product_C|Product[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Product_C|Product[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Product make(array $attributes = [])
     * @method Product newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Product[]|_IH_Product_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Product[]|_IH_Product_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Product sole(array|string $columns = ['*'])
     * @method Product updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Product_QB whereLocale(string $column, string $locale)
     * @method _IH_Product_QB whereLocales(string $column, array $locales)
     */
    class _IH_Product_QB extends _BaseBuilder {}

    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User baseSole(array|string $columns = ['*'])
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_User_C|User[] cursor()
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}

    /**
     * @method VehicleType|null getOrPut($key, \Closure $value)
     * @method VehicleType|$this shift(int $count = 1)
     * @method VehicleType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method VehicleType|$this pop(int $count = 1)
     * @method VehicleType|null pull($key, \Closure $default = null)
     * @method VehicleType|null last(callable $callback = null, \Closure $default = null)
     * @method VehicleType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method VehicleType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method VehicleType|null get($key, \Closure $default = null)
     * @method VehicleType|null first(callable $callback = null, \Closure $default = null)
     * @method VehicleType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method VehicleType|null find($key, $default = null)
     * @method VehicleType[] all()
     */
    class _IH_VehicleType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return VehicleType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_VehicleType_QB whereId($value)
     * @method _IH_VehicleType_QB whereName($value)
     * @method _IH_VehicleType_QB whereIcon($value)
     * @method _IH_VehicleType_QB whereDescription($value)
     * @method _IH_VehicleType_QB whereStatus($value)
     * @method _IH_VehicleType_QB whereCreatedAt($value)
     * @method _IH_VehicleType_QB whereUpdatedAt($value)
     * @method VehicleType baseSole(array|string $columns = ['*'])
     * @method VehicleType create(array $attributes = [])
     * @method VehicleType createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_VehicleType_C|VehicleType[] cursor()
     * @method VehicleType|null|_IH_VehicleType_C|VehicleType[] find($id, array|string $columns = ['*'])
     * @method _IH_VehicleType_C|VehicleType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method VehicleType|_IH_VehicleType_C|VehicleType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method VehicleType|_IH_VehicleType_C|VehicleType[] findOrFail($id, array|string $columns = ['*'])
     * @method VehicleType|_IH_VehicleType_C|VehicleType[] findOrNew($id, array|string $columns = ['*'])
     * @method VehicleType first(array|string $columns = ['*'])
     * @method VehicleType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method VehicleType firstOrCreate(array $attributes = [], array $values = [])
     * @method VehicleType firstOrFail(array|string $columns = ['*'])
     * @method VehicleType firstOrNew(array $attributes = [], array $values = [])
     * @method VehicleType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method VehicleType forceCreate(array $attributes)
     * @method VehicleType forceCreateQuietly(array $attributes = [])
     * @method _IH_VehicleType_C|VehicleType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_VehicleType_C|VehicleType[] get(array|string $columns = ['*'])
     * @method VehicleType getModel()
     * @method VehicleType[] getModels(array|string $columns = ['*'])
     * @method _IH_VehicleType_C|VehicleType[] hydrate(array $items)
     * @method _IH_VehicleType_C|VehicleType[] lazy(int $chunkSize = 1000)
     * @method _IH_VehicleType_C|VehicleType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_VehicleType_C|VehicleType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method VehicleType make(array $attributes = [])
     * @method VehicleType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|VehicleType[]|_IH_VehicleType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|VehicleType[]|_IH_VehicleType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method VehicleType sole(array|string $columns = ['*'])
     * @method VehicleType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_VehicleType_QB extends _BaseBuilder {}

    /**
     * @method Vendor|null getOrPut($key, \Closure $value)
     * @method Vendor|$this shift(int $count = 1)
     * @method Vendor|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Vendor|$this pop(int $count = 1)
     * @method Vendor|null pull($key, \Closure $default = null)
     * @method Vendor|null last(callable $callback = null, \Closure $default = null)
     * @method Vendor|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Vendor|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Vendor|null get($key, \Closure $default = null)
     * @method Vendor|null first(callable $callback = null, \Closure $default = null)
     * @method Vendor|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Vendor|null find($key, $default = null)
     * @method Vendor[] all()
     */
    class _IH_Vendor_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Vendor[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Vendor_QB whereId($value)
     * @method _IH_Vendor_QB whereName($value)
     * @method _IH_Vendor_QB whereEmail($value)
     * @method _IH_Vendor_QB whereEmailVerifiedAt($value)
     * @method _IH_Vendor_QB wherePassword($value)
     * @method _IH_Vendor_QB whereCreatedAt($value)
     * @method _IH_Vendor_QB whereUpdatedAt($value)
     * @method Vendor baseSole(array|string $columns = ['*'])
     * @method Vendor create(array $attributes = [])
     * @method Vendor createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Vendor_C|Vendor[] cursor()
     * @method Vendor|null|_IH_Vendor_C|Vendor[] find($id, array|string $columns = ['*'])
     * @method _IH_Vendor_C|Vendor[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Vendor|_IH_Vendor_C|Vendor[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Vendor|_IH_Vendor_C|Vendor[] findOrFail($id, array|string $columns = ['*'])
     * @method Vendor|_IH_Vendor_C|Vendor[] findOrNew($id, array|string $columns = ['*'])
     * @method Vendor first(array|string $columns = ['*'])
     * @method Vendor firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Vendor firstOrCreate(array $attributes = [], array $values = [])
     * @method Vendor firstOrFail(array|string $columns = ['*'])
     * @method Vendor firstOrNew(array $attributes = [], array $values = [])
     * @method Vendor firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Vendor forceCreate(array $attributes)
     * @method Vendor forceCreateQuietly(array $attributes = [])
     * @method _IH_Vendor_C|Vendor[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Vendor_C|Vendor[] get(array|string $columns = ['*'])
     * @method Vendor getModel()
     * @method Vendor[] getModels(array|string $columns = ['*'])
     * @method _IH_Vendor_C|Vendor[] hydrate(array $items)
     * @method _IH_Vendor_C|Vendor[] lazy(int $chunkSize = 1000)
     * @method _IH_Vendor_C|Vendor[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Vendor_C|Vendor[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Vendor make(array $attributes = [])
     * @method Vendor newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Vendor[]|_IH_Vendor_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Vendor[]|_IH_Vendor_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Vendor sole(array|string $columns = ['*'])
     * @method Vendor updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Vendor_QB extends _BaseBuilder {}
}
