<?php //2a037b7ba240452e41bd4b709fd33cc9
/** @noinspection all */

namespace App\Models {

    use Database\Factories\UserFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Sanctum\PersonalAccessToken;
    use LaravelIdea\Helper\App\Models\_IH_Car_C;
    use LaravelIdea\Helper\App\Models\_IH_Car_QB;
    use LaravelIdea\Helper\App\Models\_IH_Category_C;
    use LaravelIdea\Helper\App\Models\_IH_Category_QB;
    use LaravelIdea\Helper\App\Models\_IH_City_C;
    use LaravelIdea\Helper\App\Models\_IH_City_QB;
    use LaravelIdea\Helper\App\Models\_IH_Color_C;
    use LaravelIdea\Helper\App\Models\_IH_Color_QB;
    use LaravelIdea\Helper\App\Models\_IH_Country_C;
    use LaravelIdea\Helper\App\Models\_IH_Country_QB;
    use LaravelIdea\Helper\App\Models\_IH_CustomerEmailLog_C;
    use LaravelIdea\Helper\App\Models\_IH_CustomerEmailLog_QB;
    use LaravelIdea\Helper\App\Models\_IH_CustomerPasswordReset_C;
    use LaravelIdea\Helper\App\Models\_IH_CustomerPasswordReset_QB;
    use LaravelIdea\Helper\App\Models\_IH_CustomerPromo_C;
    use LaravelIdea\Helper\App\Models\_IH_CustomerPromo_QB;
    use LaravelIdea\Helper\App\Models\_IH_CustomerTransaction_C;
    use LaravelIdea\Helper\App\Models\_IH_CustomerTransaction_QB;
    use LaravelIdea\Helper\App\Models\_IH_CustomerVehicleType_C;
    use LaravelIdea\Helper\App\Models\_IH_CustomerVehicleType_QB;
    use LaravelIdea\Helper\App\Models\_IH_Customer_C;
    use LaravelIdea\Helper\App\Models\_IH_Customer_QB;
    use LaravelIdea\Helper\App\Models\_IH_CustomNotification_C;
    use LaravelIdea\Helper\App\Models\_IH_CustomNotification_QB;
    use LaravelIdea\Helper\App\Models\_IH_EmailTemplate_C;
    use LaravelIdea\Helper\App\Models\_IH_EmailTemplate_QB;
    use LaravelIdea\Helper\App\Models\_IH_ProductImage_C;
    use LaravelIdea\Helper\App\Models\_IH_ProductImage_QB;
    use LaravelIdea\Helper\App\Models\_IH_Product_C;
    use LaravelIdea\Helper\App\Models\_IH_Product_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_C;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\App\Models\_IH_VehicleType_C;
    use LaravelIdea\Helper\App\Models\_IH_VehicleType_QB;
    use LaravelIdea\Helper\App\Models\_IH_Vendor_C;
    use LaravelIdea\Helper\App\Models\_IH_Vendor_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_C;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_QB;

    /**
     * @property int $id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property _IH_Product_C|Product[] $products
     * @property-read int $products_count
     * @method HasMany|_IH_Product_QB products()
     * @method static _IH_Car_QB onWriteConnection()
     * @method _IH_Car_QB newQuery()
     * @method static _IH_Car_QB on(null|string $connection = null)
     * @method static _IH_Car_QB query()
     * @method static _IH_Car_QB with(array|string $relations)
     * @method _IH_Car_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Car_C|Car[] all()
     * @foreignLinks id,\App\Models\Product,car_id
     * @mixin _IH_Car_QB
     */
    class Car extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property _IH_Product_C|Product[] $products
     * @property-read int $products_count
     * @method HasMany|_IH_Product_QB products()
     * @method static _IH_Category_QB onWriteConnection()
     * @method _IH_Category_QB newQuery()
     * @method static _IH_Category_QB on(null|string $connection = null)
     * @method static _IH_Category_QB query()
     * @method static _IH_Category_QB with(array|string $relations)
     * @method _IH_Category_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Category_C|Category[] all()
     * @foreignLinks id,\App\Models\Product,category_id
     * @mixin _IH_Category_QB
     */
    class Category extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property int $country_id
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property Country $country
     * @method BelongsTo|_IH_Country_QB country()
     * @property _IH_Product_C|Product[] $products
     * @property-read int $products_count
     * @method HasMany|_IH_Product_QB products()
     * @method static _IH_City_QB onWriteConnection()
     * @method _IH_City_QB newQuery()
     * @method static _IH_City_QB on(null|string $connection = null)
     * @method static _IH_City_QB query()
     * @method static _IH_City_QB with(array|string $relations)
     * @method _IH_City_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_City_C|City[] all()
     * @ownLinks country_id,\App\Models\Country,id
     * @foreignLinks id,\App\Models\Customer,city_id|id,\App\Models\Product,city_id
     * @mixin _IH_City_QB
     */
    class City extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $code
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property _IH_Product_C|Product[] $products
     * @property-read int $products_count
     * @method HasMany|_IH_Product_QB products()
     * @method static _IH_Color_QB onWriteConnection()
     * @method _IH_Color_QB newQuery()
     * @method static _IH_Color_QB on(null|string $connection = null)
     * @method static _IH_Color_QB query()
     * @method static _IH_Color_QB with(array|string $relations)
     * @method _IH_Color_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Color_C|Color[] all()
     * @foreignLinks id,\App\Models\Product,color_id
     * @mixin _IH_Color_QB
     */
    class Color extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $image
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property _IH_City_C|City[] $cities
     * @property-read int $cities_count
     * @method HasMany|_IH_City_QB cities()
     * @method static _IH_Country_QB onWriteConnection()
     * @method _IH_Country_QB newQuery()
     * @method static _IH_Country_QB on(null|string $connection = null)
     * @method static _IH_Country_QB query()
     * @method static _IH_Country_QB with(array|string $relations)
     * @method _IH_Country_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Country_C|Country[] all()
     * @foreignLinks id,\App\Models\City,country_id
     * @mixin _IH_Country_QB
     */
    class Country extends Model {}

    /**
     * @property int $id
     * @property string $title
     * @property string $body
     * @property string|null $image
     * @property int $type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CustomNotification_QB onWriteConnection()
     * @method _IH_CustomNotification_QB newQuery()
     * @method static _IH_CustomNotification_QB on(null|string $connection = null)
     * @method static _IH_CustomNotification_QB query()
     * @method static _IH_CustomNotification_QB with(array|string $relations)
     * @method _IH_CustomNotification_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomNotification_C|CustomNotification[] all()
     * @mixin _IH_CustomNotification_QB
     */
    class CustomNotification extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string $password
     * @property string|null $image
     * @property string $mobile
     * @property int|null $city_id
     * @property string $address
     * @property int $status
     * @property int $gender
     * @property string|null $referral_code
     * @property float $balance
     * @property string|null $fcm_token
     * @property int|null $referred_by
     * @property string|null $login_by
     * @property string|null $last_known_ip
     * @property Carbon|null $last_login_at
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property City|null $city
     * @method BelongsTo|_IH_City_QB city()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property _IH_CustomerTransaction_C|CustomerTransaction[] $transactions
     * @property-read int $transactions_count
     * @method HasMany|_IH_CustomerTransaction_QB transactions()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @property _IH_VehicleType_C|VehicleType[] $vehicleTypes
     * @property-read int $vehicle_types_count
     * @method BelongsToMany|_IH_VehicleType_QB vehicleTypes()
     * @method static _IH_Customer_QB onWriteConnection()
     * @method _IH_Customer_QB newQuery()
     * @method static _IH_Customer_QB on(null|string $connection = null)
     * @method static _IH_Customer_QB query()
     * @method static _IH_Customer_QB with(array|string $relations)
     * @method _IH_Customer_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Customer_C|Customer[] all()
     * @ownLinks city_id,\App\Models\City,id
     * @foreignLinks id,\App\Models\CustomerTransaction,customer_id|id,\App\Models\CustomerVehicleType,customer_id|id,\App\Models\CustomerPromo,customer_id|id,\App\Models\CustomerEmailLog,customer_id
     * @mixin _IH_Customer_QB
     */
    class Customer extends Model {}

    /**
     * @property int $id
     * @property int $customer_id
     * @property string|null $mail_sender
     * @property string|null $mail_from
     * @property string|null $mail_to
     * @property string|null $subject
     * @property string|null $message
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Customer_C|Customer[] $customer
     * @property-read int $customer_count
     * @method BelongsToMany|_IH_Customer_QB customer()
     * @method static _IH_CustomerEmailLog_QB onWriteConnection()
     * @method _IH_CustomerEmailLog_QB newQuery()
     * @method static _IH_CustomerEmailLog_QB on(null|string $connection = null)
     * @method static _IH_CustomerEmailLog_QB query()
     * @method static _IH_CustomerEmailLog_QB with(array|string $relations)
     * @method _IH_CustomerEmailLog_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomerEmailLog_C|CustomerEmailLog[] all()
     * @ownLinks customer_id,\App\Models\Customer,id
     * @mixin _IH_CustomerEmailLog_QB
     */
    class CustomerEmailLog extends Model {}

    /**
     * @property int $id
     * @property string|null $type
     * @property string|null $sender
     * @property string|null $token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CustomerPasswordReset_QB onWriteConnection()
     * @method _IH_CustomerPasswordReset_QB newQuery()
     * @method static _IH_CustomerPasswordReset_QB on(null|string $connection = null)
     * @method static _IH_CustomerPasswordReset_QB query()
     * @method static _IH_CustomerPasswordReset_QB with(array|string $relations)
     * @method _IH_CustomerPasswordReset_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomerPasswordReset_C|CustomerPasswordReset[] all()
     * @mixin _IH_CustomerPasswordReset_QB
     */
    class CustomerPasswordReset extends Model {}

    /**
     * @property int $id
     * @property int $customer_id
     * @property int $promo_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CustomerPromo_QB onWriteConnection()
     * @method _IH_CustomerPromo_QB newQuery()
     * @method static _IH_CustomerPromo_QB on(null|string $connection = null)
     * @method static _IH_CustomerPromo_QB query()
     * @method static _IH_CustomerPromo_QB with(array|string $relations)
     * @method _IH_CustomerPromo_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomerPromo_C|CustomerPromo[] all()
     * @ownLinks customer_id,\App\Models\Customer,id
     * @mixin _IH_CustomerPromo_QB
     */
    class CustomerPromo extends Model {}

    /**
     * @property int $id
     * @property int $customer_id
     * @property string|null $payment_type
     * @property string|null $trx
     * @property string $trx_type
     * @property string|null $referral_code
     * @property float $amount
     * @property string|null $remarks
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Customer_C|Customer[] $customer
     * @property-read int $customer_count
     * @method BelongsToMany|_IH_Customer_QB customer()
     * @method static _IH_CustomerTransaction_QB onWriteConnection()
     * @method _IH_CustomerTransaction_QB newQuery()
     * @method static _IH_CustomerTransaction_QB on(null|string $connection = null)
     * @method static _IH_CustomerTransaction_QB query()
     * @method static _IH_CustomerTransaction_QB with(array|string $relations)
     * @method _IH_CustomerTransaction_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomerTransaction_C|CustomerTransaction[] all()
     * @ownLinks customer_id,\App\Models\Customer,id
     * @mixin _IH_CustomerTransaction_QB
     */
    class CustomerTransaction extends Model {}

    /**
     * @property int $id
     * @property string $vehicle_name
     * @property string $vehicle_model
     * @property string $model_year
     * @property int $customer_id
     * @property int $vehicle_type_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CustomerVehicleType_QB onWriteConnection()
     * @method _IH_CustomerVehicleType_QB newQuery()
     * @method static _IH_CustomerVehicleType_QB on(null|string $connection = null)
     * @method static _IH_CustomerVehicleType_QB query()
     * @method static _IH_CustomerVehicleType_QB with(array|string $relations)
     * @method _IH_CustomerVehicleType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomerVehicleType_C|CustomerVehicleType[] all()
     * @ownLinks customer_id,\App\Models\Customer,id|vehicle_type_id,\App\Models\VehicleType,id
     * @mixin _IH_CustomerVehicleType_QB
     */
    class CustomerVehicleType extends Model {}

    /**
     * @property int $id
     * @property string|null $act
     * @property string|null $name
     * @property string|null $subj
     * @property string|null $body
     * @property mixed|null $shortcodes
     * @property bool $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_EmailTemplate_QB onWriteConnection()
     * @method _IH_EmailTemplate_QB newQuery()
     * @method static _IH_EmailTemplate_QB on(null|string $connection = null)
     * @method static _IH_EmailTemplate_QB query()
     * @method static _IH_EmailTemplate_QB with(array|string $relations)
     * @method _IH_EmailTemplate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_EmailTemplate_C|EmailTemplate[] all()
     * @mixin _IH_EmailTemplate_QB
     */
    class EmailTemplate extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $front_image
     * @property float $price
     * @property string $notes
     * @property string|null $model
     * @property int|null $model_year
     * @property int|null $km
     * @property int|null $type
     * @property int $status
     * @property int $quantity
     * @property int|null $mover
     * @property int|null $fuel
     * @property int|null $city_id
     * @property int|null $car_id
     * @property int|null $color_id
     * @property int $category_id
     * @property int $vendor_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property Car|null $car
     * @method BelongsTo|_IH_Car_QB car()
     * @property Category $category
     * @method BelongsTo|_IH_Category_QB category()
     * @property City|null $city
     * @method BelongsTo|_IH_City_QB city()
     * @property Color|null $color
     * @method BelongsTo|_IH_Color_QB color()
     * @property _IH_ProductImage_C|ProductImage[] $images
     * @property-read int $images_count
     * @method HasMany|_IH_ProductImage_QB images()
     * @property Vendor $vendor
     * @method BelongsTo|_IH_Vendor_QB vendor()
     * @method static _IH_Product_QB onWriteConnection()
     * @method _IH_Product_QB newQuery()
     * @method static _IH_Product_QB on(null|string $connection = null)
     * @method static _IH_Product_QB query()
     * @method static _IH_Product_QB with(array|string $relations)
     * @method _IH_Product_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Product_C|Product[] all()
     * @ownLinks city_id,\App\Models\City,id|car_id,\App\Models\Car,id|color_id,\App\Models\Color,id|category_id,\App\Models\Category,id|vendor_id,\App\Models\Vendor,id
     * @foreignLinks id,\App\Models\ProductImage,product_id
     * @mixin _IH_Product_QB
     */
    class Product extends Model {}

    /**
     * @property int $id
     * @property string $image
     * @property int $product_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Product $product
     * @method BelongsTo|_IH_Product_QB product()
     * @method static _IH_ProductImage_QB onWriteConnection()
     * @method _IH_ProductImage_QB newQuery()
     * @method static _IH_ProductImage_QB on(null|string $connection = null)
     * @method static _IH_ProductImage_QB query()
     * @method static _IH_ProductImage_QB with(array|string $relations)
     * @method _IH_ProductImage_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ProductImage_C|ProductImage[] all()
     * @ownLinks product_id,\App\Models\Product,id
     * @mixin _IH_ProductImage_QB
     */
    class ProductImage extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property mixed $password
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @mixin _IH_User_QB
     * @method static UserFactory factory(array|callable|int|null $count = null, array|callable $state = [])
     */
    class User extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $icon
     * @property string|null $description
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Customer_C|Customer[] $customers
     * @property-read int $customers_count
     * @method BelongsToMany|_IH_Customer_QB customers()
     * @method static _IH_VehicleType_QB onWriteConnection()
     * @method _IH_VehicleType_QB newQuery()
     * @method static _IH_VehicleType_QB on(null|string $connection = null)
     * @method static _IH_VehicleType_QB query()
     * @method static _IH_VehicleType_QB with(array|string $relations)
     * @method _IH_VehicleType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_VehicleType_C|VehicleType[] all()
     * @foreignLinks id,\App\Models\CustomerVehicleType,vehicle_type_id
     * @mixin _IH_VehicleType_QB
     */
    class VehicleType extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string $password
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property _IH_Product_C|Product[] $products
     * @property-read int $products_count
     * @method HasMany|_IH_Product_QB products()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_Vendor_QB onWriteConnection()
     * @method _IH_Vendor_QB newQuery()
     * @method static _IH_Vendor_QB on(null|string $connection = null)
     * @method static _IH_Vendor_QB query()
     * @method static _IH_Vendor_QB with(array|string $relations)
     * @method _IH_Vendor_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Vendor_C|Vendor[] all()
     * @foreignLinks id,\App\Models\Product,vendor_id
     * @mixin _IH_Vendor_QB
     */
    class Vendor extends Model {}
}
